	.file	"lin4ti.c"
#NO_APP
/* Include Patch: __not_reg_relative */
	.macro __save_the_stack_pointer
		move.l %sp,__save__sp__
	.endm
	.data
tigcc_compiled.:
	.set _A_LINE,0xA000
#APP
/* Main Startup Code */
	.even
	.set __min_num_ROM_CALLs__,0x3CC
	move.l 0xC8,%a0
	/* Calculator Detection */
	moveq #1,%d0
	move.l %a0,%d1
	and.l #0x400000,%d1
	jbne __calc_in_d0__
	clr.w %d0
	move.l (%a0,0x2F*4),%a1 /* ScrRect */
	cmp.b #200,2(%a1)
	jbcs __calc_in_d0__
	moveq #3,%d0
__calc_in_d0__:
	lea __calculator(%pc),%a1
	move.w %d0,(%a1)
__calc_is_OK__:
	/* Minimum AMS Version Check */
	cmp.l #__min_num_ROM_CALLs__,(%a0,-4) /* TIOS_entries */
	jbcc __ams_version_is_OK__
__ams_version_not_OK__:
	pea.l __ams_too_low__
__display_message_and_exit__:
	move.l (%a0,0xE6*4),%a0 /* ST_helpMsg */
	jsr (%a0)
	addq.l #4,%sp
	rts
__ams_version_is_OK__:
	/* Support for exit and atexit */
	movem.l %d3-%d7/%a2-%a6,-(%sp)
	jbsr _main
	movem.l (%sp)+,%d3-%d7/%a2-%a6
	rts
	.xdef __save__sp__
	.even
__save__sp__:
	.long 0
	.xdef __calculator
	.even
__calculator:
	.word -1
	.even
__ams_too_low__:
	.ascii "AMS "
	.ascii "1.01"
	.asciz " or higher needed"
	.even
#NO_APP
#APP
	.xdef _ti89
	.xdef _ti92plus
	/* Include Patch: _detect_calc_ */
	/* Include Patch: _need_calculator_var_ */
	/* Include Patch: _MIN_AMS_required_ */
	/* Include Patch: _MIN_AMS_1_01_ */
	/* Include Patch: dont_set_file_inuse_bit */
	.data
	/* Include Patch: nostub_patch */
	/* Include Patch: nostub_optimize_rom_calls */
	/* Include Patch: no_retval */
	/* Include Patch: nostub_exit_support */
	/* Include Patch: save_the_sp */
	/* Include Patch: complex_main */
	.set MT_TEXT,0x8000
	.set MT_XREF,0x9000
	.set MT_ICON,0xA000
	.set MT_CASCADE,0x4000
#NO_APP
.LC0:
	.ascii "%s_  \0"
.LC2:
	.ascii "%s  \0"
.LC1:
	.ascii "%s_ \0"
	.even
	.globl	inputStr
inputStr:
	link.w %a6,#0
	movm.l #0x1c20,-(%sp)
	move.l 26(%a6),%a2
	move.w 30(%a6),%d5
#L34	{  unsigned short
#L39	BatteryState(unsigned short
	clr.w %d4
#L46	is_hw_2);  LCD_BUFFER
	move.w %d4,%d0
	cmp.w %d4,%d5
	jblt .L7
.L6:
	clr.b (%a2,%d0.w)
	addq.w #1,%d0
	cmp.w %d0,%d5
	jbge .L6
.L7:
#L52	LCD_buff;  LCD_save(LCD_buff);  BOOL exit_from_prog=
	move.w 20(%a6),-(%sp)
	move.w 18(%a6),-(%sp)
	move.l 1652(%a5),%a0
	jbsr (%a0)
#L65	FALSE; // true if a program was started within Lin4Ti  short font=
	move.l 1592(%a5),%a0
	jbsr (%a0)
	addq.l #4,%sp
	tst.b %d0
	jbne .L10
#L74	F_4x6;  // all available commands; if command isn't here, Lin4Ti will display "Commande incorrecte"  // IMPORTANT !!! if you add a command, do not forget to increase the max value of i after the do...while loop!!!  char availableCmds[20][7]={"exit",
	move.l %a2,-(%sp)
	pea .LC0
.L21:
	jbsr printf
	addq.l #8,%sp
#L94	"off", "+", "-", "mkdir", "clear",
	move.w #1,-(%sp)
	clr.l -(%sp)
	move.l 1528(%a5),%a0
	jbsr (%a0)
	move.w %d0,%d3
#L109	"dir", "help",\   "ren", "cp", "del", "cd", "cd..", "rm", "batt"
	add.w #-32,%d0
	addq.l #6,%sp
	cmp.w #94,%d0
	jbhi .L12
	move.w %d5,%d0
	subq.w #1,%d0
	cmp.w %d4,%d0
	jble .L12
#L136	, "mv", "echo", "run", ""};  char argsList[5][75]={"", "", "", "", ""};  clrscr();  ST_batt(2);  FontSetSys(font);    char dir[9]="main";  printf("Lin4Ti, a Linux version for TI\n\n");  printf("Build 0.40 by Bastien JANSEN\nbastien.jansen@wanadoo.fr\n\n");
	move.b %d3,(%a2,%d4.w)
	addq.w #1,%d4
.L13:
#L218	ST_showHelp("Welcome!");  int max
	clr.b (%a2,%d4.w)
#L227	;    debut:  max=75;  char
	cmp.w #13,%d3
	jbne .L7
#L239	 ...
	moveq.l #13,%d0
	jbra .L1
	.even
.L12:
#L149	;  char argsList[5][75]={"", "",
	cmp.w #257,%d3
	jbeq .L22
.L14:
#L168	"", "", ""};  clrscr();  ST_batt
	cmp.w #13,%d3
	jbeq .L17
	cmp.w #264,%d3
	jbne .L13
.L17:
#L184	(2);  FontSetSys(font);    char
	move.w 20(%a6),-(%sp)
	move.w 18(%a6),-(%sp)
	move.l 1652(%a5),%a0
	jbsr (%a0)
#L197	dir[9]="main";
	move.l %a2,-(%sp)
	pea .LC2
	jbsr printf
#L206	printf ...
	lea (12,%sp),%sp
	move.w %d3,%d0
	cmp.w #264,%d3
	jbne .L13
	jbra .L1
	.even
.L22:
	tst.w %d4
	jbeq .L14
#L162	"" ...
	subq.w #1,%d4
	jbra .L13
	.even
.L10:
#L85	20 ...
	move.l %a2,-(%sp)
	pea .LC1
	jbra .L21
#L243	] ...
	.even
.L1:
	movm.l -16(%a6),#0x438
	unlk %a6
	rts
.LC3:
	.ascii "echo\0"
	.even
	.globl	getArgs
getArgs:
	link.w %a6,#0
	movm.l #0x1c30,-(%sp)
	move.l 8(%a6),%a2
	move.l 12(%a6),%a3
#L34	{  unsigned short
#L39	BatteryState(unsigned short
#L46	is_hw_2);  LCD_BUFFER LCD_buff
	clr.w %d5
#L53	;  LCD_save(LCD_buff);  BOOL
	clr.w %d4
#L62	exit_from_prog=FALSE; // true if a program was started within Lin4Ti  short font=F_4x6;  // all available commands; if command isn't here, Lin4Ti will display "Commande incorrecte"
	move.w %d5,%d3
.L33:
#L78	// IMPORTANT !!! if you add a command, do not forget to increase the max value of i after the do...while loop!!!  char availableCmds[20][7
	clr.w %d2
.L32:
#L89	] ...
	move.w %d3,%d1
	ext.l %d1
	move.l %d1,%d0
	lsl.l #2,%d0
	add.l %d1,%d0
	move.l %d0,%d1
	lsl.l #4,%d1
	sub.l %d0,%d1
	lea (%a3,%d1.l),%a0
	clr.b (%a0,%d2.w)
#L78	 ...
	addq.w #1,%d2
	cmp.w #74,%d2
	jble .L32
#L62	 ...
	addq.w #1,%d3
	cmp.w #4,%d3
	jble .L33
#L100	"-", "mkdir"
	clr.w %d3
#L105	, "clear", "dir", "help",\   "ren", "cp",
	tst.b (%a2)
	jbeq .L35
.L40:
#L122	"del", "cd", "cd..", "rm", "batt", "mv", "echo", "run", ""};  char argsList[5][75]={"",
	cmp.b #32,(%a2,%d3.w)
	jbeq .L46
.L38:
#L164	"", "", "", ""};  clrscr();  ST_batt(2);  FontSetSys(font);    char dir[9]="main";  printf("Lin4Ti, a Linux version for TI\n\n");  printf
	pea .LC3
	move.l %a3,-(%sp)
	move.l 2500(%a5),%a0
	jbsr (%a0)
	addq.l #8,%sp
	tst.w %d0
	jbeq .L47
#L213	( ...
	addq.w #1,%d3
	tst.b (%a2,%d3.w)
	jbeq .L35
	cmp.w #5,%d5
	jble .L40
	jbra .L35
#L184	(2);  FontSetSys(font);    char dir[9]="main";  printf("Lin4Ti, a Linux version for TI\n\n"
	.even
.L47:
	moveq.l #75,%d0
	sub.w %d4,%d0
	move.w %d0,%a0
	move.l %a0,-(%sp)
	pea (%a2,%d4.w)
	pea 75(%a3)
	move.l 2484(%a5),%a0
	jbsr (%a0)
#L209	) ...
	lea (12,%sp),%sp
	jbra .L35
#L132	"rm", "batt", "mv", "echo", "run", ""};  char argsList[5][
	.even
.L46:
	move.w %d3,%d0
	sub.w %d4,%d0
	move.w %d0,%a0
	move.l %a0,-(%sp)
	pea (%a2,%d4.w)
	move.w %d5,%d0
	muls.w #75,%d0
	pea (%a3,%d0.l)
	addq.w #1,%d5
	move.l 2484(%a5),%a0
	jbsr (%a0)
#L158	75 ...
	move.w %d3,%d4
	lea (12,%sp),%sp
	jbra .L38
	.even
.L35:
#L218	ST_showHelp("Welcome!");  int max;    debut:  max=75;  char args[max];
	sub.w %d4,%d3
	move.w %d3,%a0
	move.l %a0,-(%sp)
	pea (%a2,%d4.w)
	move.w %d5,%d0
	muls.w #75,%d0
	pea (%a3,%d0.l)
	move.l 2484(%a5),%a0
	jbsr (%a0)
#L246	SCR_STATE ...
	movm.l -20(%a6),#0xc38
	unlk %a6
	rts
.LC4:
	.ascii "exit\0"
	.skip 2
	.ascii "off\0"
	.skip 3
	.ascii "+\0"
	.skip 5
	.ascii "-\0"
	.skip 5
	.ascii "mkdir\0"
	.skip 1
	.ascii "clear\0"
	.skip 1
	.ascii "dir\0"
	.skip 3
	.ascii "help\0"
	.skip 2
	.ascii "ren\0"
	.skip 3
	.ascii "cp\0"
	.skip 4
	.ascii "del\0"
	.skip 3
	.ascii "cd\0"
	.skip 4
	.ascii "cd..\0"
	.skip 2
	.ascii "rm\0"
	.skip 4
	.ascii "batt\0"
	.skip 2
	.ascii "mv\0"
	.skip 4
	.ascii "echo\0"
	.skip 2
	.ascii "run\0"
	.skip 3
	.ascii "\0"
	.skip 6
	.skip 7
.LC5:
	.ascii "\0"
	.skip 74
	.ascii "\0"
	.skip 74
	.ascii "\0"
	.skip 74
	.ascii "\0"
	.skip 74
	.ascii "\0"
	.skip 74
.LC6:
	.ascii "main\0"
	.skip 4
.LC7:
	.ascii "Lin4Ti, a Linux version for TI\12\12\0"
.LC8:
	.ascii "Build 0.40 by Bastien JANSEN\12bastien.jansen@wanadoo.fr\12\12\0"
.LC9:
	.ascii "Welcome!\0"
.LC11:
	.ascii "\0"
.LC12:
	.ascii "ls\0"
.LC14:
	.ascii "\12\0"
.LC15:
	.ascii "\12\12\0"
.LC17:
	.ascii "\12Directory %s created\12\0"
.LC16:
	.ascii "\12Directory %s already exists\12\0"
.LC18:
	.ascii "/\0"
.LC19:
	.ascii "\12Contents of directory %s\0"
.LC20:
	.ascii "\12%s\0"
.LC22:
	.ascii "\12\12Total of files : %i\12\0"
.LC21:
	.ascii "\12Strike any key...\0"
.LC23:
	.ascii "\12Available commands : \12clear, dir, exit, help, mv, mkdir, cd, +, -, rm, cp, off, batt, del, echo, ren, run\12\0"
.LC25:
	.ascii "\12Error while renaming file %s\12\0"
.LC24:
	.ascii "\12File has been renamed\12\0"
.LC26:
	.ascii "\12Entrez le r\351pertoire de destination :\12\0"
.LC27:
	.ascii "%s\\%s\0"
.LC28:
	.ascii "\12Effacer le fichier %s ? (o/n)\12\0"
.LC29:
	.ascii "\12cd : nom de r\351pertoire invalide\0"
.LC37:
	.ascii "\12Usage : rm <file> <dir>\12\0"
.LC34:
	.ascii "\12Effacer le fichier %s?\12\0"
.LC36:
	.ascii "Erreur de suppression\12\0"
.LC35:
	.ascii "Fichier \351ffac\351\12\0"
.LC31:
	.ascii "\12Effacer le dossier %s et son contenu?\12\0"
.LC33:
	.ascii "Erreur de suppression du dossier %s\12\0"
.LC32:
	.ascii "Dossier effac\351\12\0"
.LC30:
	.ascii "non\12\0"
.LC47:
	.ascii "\12 Niveau de charge : %f %c\12\0"
.LC48:
	.ascii "\12Entrez le nouveau r\351pertoire :\12\0"
.LC50:
	.ascii "Erreur de d\351placement\12\0"
.LC49:
	.ascii "\12Fichier d\351plac\351\12\0"
.LC51:
	.ascii "\12%s\12\0"
.LC53:
	.ascii "lin4ti\0"
.LC55:
	.ascii "()\0"
.LC56:
	.ascii "\12[pingoui@ti.%s]\0"
.LC54:
	.ascii "\12Lin4Ti fonctionne deja\12\0"
.LC52:
	.ascii "\12Argument manquant\12\0"
.LC57:
	.ascii "\12Commande invalide\12\0"
.LC13:
	.ascii "dir\0"
.LC10:
	.ascii "[pingoui@ti.%s]\0"
.LC58:
	.ascii "Bonne journ\351e avec Lin4Ti !\0"
	.even
.LC38:
	.word	16386
	.long	268435456
	.long	0
	.even
.LC39:
	.word	16384
	.long	0
	.long	0
	.even
.LC40:
	.word	16385
	.long	338690048
	.long	0
	.even
.LC41:
	.word	16385
	.long	677380096
	.long	0
	.even
.LC42:
	.word	16385
	.long	1116733440
	.long	0
	.even
.LC43:
	.word	16385
	.long	1460666368
	.long	0
	.even
.LC44:
	.word	16385
	.long	1900019712
	.long	0
	.even
.LC45:
	.word	16385
	.long	-2056257536
	.long	0
	.even
.LC46:
	.word	16386
	.long	268435456
	.long	0
	.even
	.globl	_main
_main:
#APP
	move.l %sp,__save__sp__
	/* Support for OPTIMIZE_ROM_CALLS */
	move.l 0xC8,%a5
#NO_APP
	link.w %a6,#-4532
	movm.l #0x1f38,-(%sp)
	move.l %sp,-4532(%a6)
#L58	);  BOOL exit_from_prog
	pea 3840.w
	pea 19456.w
	move.l #-3840,%d0
	add.l %a6,%d0
	move.l %d0,-(%sp)
	move.l 2472(%a5),%a0
	jbsr (%a0)
#L64	=FALSE; // true if a program was started within Lin4Ti  short font
	clr.w -4528(%a6)
#L73	=F_4x6;  // all available commands; if command isn't here, Lin4Ti will display "Commande incorrecte"  // IMPORTANT !!! if you add a command, do not forget to increase the max value of i after the do...while loop!!!  char availableCmds[20][7]
	clr.w %d7
#L90	={"exit", "off", "+", "-", "mkdir", "clear", "dir", "help",\   "ren", "cp", "del", "cd", "cd..", "rm", "batt", "mv", "echo", "run", ""};  char argsList[5][75]
	move.w #140,-(%sp)
	lea (-3980,%a6),%a0
	move.l %a0,-(%sp)
	pea .LC4
	lea bcopy,%a2
	jbsr (%a2)
	lea (10,%sp),%sp
#L160	={"", "", "", "", ""};
	move.w #375,-(%sp)
	pea -4356(%a6)
	pea .LC5
	jbsr (%a2)
	lea (10,%sp),%sp
#L178	clrscr();
	jbsr clrscr
#L183	ST_batt(2);
	move.w #2,-(%sp)
	move.l 900(%a5),%a0
	jbsr (%a0)
#L189	FontSetSys(font);    char dir[9]
	clr.w -(%sp)
	move.l 1596(%a5),%a0
	jbsr (%a0)
#L202	="main";
	move.w #5,-(%sp)
	pea -4366(%a6)
	pea .LC6
	jbsr (%a2)
	lea (10,%sp),%sp
	move.w #4,-(%sp)
	pea -4361(%a6)
	jbsr bzero
#L206	printf("Lin4Ti, a Linux version for TI\n\n");
	addq.w #2,%sp
	move.l #.LC7,(%sp)
	lea printf,%a2
	jbsr (%a2)
#L212	printf("Build 0.40 by Bastien JANSEN\nbastien.jansen@wanadoo.fr\n\n");
	pea .LC8
	jbsr (%a2)
#L218	ST_showHelp("Welcome!");  int max
	pea .LC9
	move.l 920(%a5),%a0
	jbsr (%a0)
#L227	;    debut:  max=75;  char args[max]
	lea (28,%sp),%sp
.L49:
#L244	; ...
	lea (-76,%sp),%sp
	move.l %sp,%d3
#L251	args[0] = 0;
	clr.b (%sp)
#L261	if(exit_from_prog)
	tst.w -4528(%a6)
	jbeq .L50
#L266	exit_from_prog=FALSE;    else{  printf("[pingoui@ti.%s]",dir);  SaveScrState (&ss);    }
	clr.w -4528(%a6)
.L51:
#L290	if(inputStr(ss, args, max)==KEY_ESC)goto end;
	move.w #75,-(%sp)
	move.l %d3,-(%sp)
	lea (-18,%sp),%sp
	move.l %sp,%d0
	move.l %a6,%d5
	add.l #-4384,%d5
	move.w #18,-(%sp)
	move.l %d0,-(%sp)
	move.l %d5,-(%sp)
	jbsr bcopy
	lea (10,%sp),%sp
	jbsr inputStr
	lea (24,%sp),%sp
	cmp.w #264,%d0
	jbeq .L53
#L310	getArgs(args, argsList);  char cmd[8];
	lea (-4356,%a6),%a4
	move.l %a4,-(%sp)
	move.l %d3,-(%sp)
	jbsr getArgs
#L327	strcpy(cmd, &argsList[0][0]);  char arg[]
	move.l %a4,-(%sp)
	move.l %a6,%d4
	add.l #-4392,%d4
	move.l %d4,-(%sp)
	move.l 2480(%a5),%a0
	jbsr (%a0)
#L348	="";  ////////////////Aliases///////////////////
	move.b .LC11,-4525(%a6)
#L354	if(!strcmp(cmd, "ls"))strcpy(cmd, "dir");  ///////////////////////////////////////////////  int pos
	pea .LC12
	move.l %d4,-(%sp)
	move.l 2500(%a5),%a0
	jbsr (%a0)
	lea (24,%sp),%sp
	tst.w %d0
	jbeq .L151
.L54:
#L379	=-1;
	moveq.l #-1,%d3
#L384	while(pos<19 && strcmp(cmd,&availableCmds[++pos][0]));  SYM_ENTRY *SymPtr;  short batt;  char file[18];  char file_dest[18];  switch (pos
.L55:
	cmp.w #18,%d3
	jbgt .L56
	addq.w #1,%d3
	move.w %d3,%d0
	muls.w #7,%d0
	lea (-3980,%a6),%a0
	pea (%a0,%d0.l)
	move.l %d4,-(%sp)
	move.l 2500(%a5),%a0
	jbsr (%a0)
	addq.l #8,%sp
	tst.w %d0
	jbne .L55
.L56:
#L439	)  {  //exit  case 0:  goto end;  //off  case 1:
	cmp.w #19,%d3
	jbhi .L53
	clr.l %d0
	move.w %d3,%d0
	add.l %d0,%d0
	.set .LI138,.+2
	move.w .L138-.LI138.b(%pc,%d0.l),%d0
	jmp %pc@(2,%d0:w)
	.even
	.even
.L138:
	.word .L53-.L138
	.word .L61-.L138
	.word .L62-.L138
	.word .L66-.L138
	.word .L70-.L138
	.word .L73-.L138
	.word .L74-.L138
	.word .L87-.L138
	.word .L88-.L138
	.word .L91-.L138
	.word .L92-.L138
	.word .L95-.L138
	.word .L99-.L138
	.word .L100-.L138
	.word .L114-.L138
	.word .L126-.L138
	.word .L129-.L138
	.word .L130-.L138
	.word .L135-.L138
	.word .L136-.L138
	.even
.L61:
#L459	off();  printf("\n");  goto debut;  //+  case 2:  if(font==F_4x6)font=F_6x8;  else if(font==F_6x8)font=F_8x10;  FontSetSys(font);  printf("\n");  goto debut;  //-  case 3:  if(font==F_8x10)font=F_6x8;  else if(font==F_6x8)font=F_4x6;  FontSetSys(font);  printf("\n\n");  goto debut;  //mkdir  case 4:  if(FOLDER_TABLE==FolderFind(SYMSTR(&argsList[1][1]))){  printf("\nDirectory %s already exists\n",&argsList[1][1]);  } else{  FolderAdd(SYMSTR(&argsList[1][1]));  printf("\nDirectory %s created\n",&argsList[1][1]);  }  goto debut;  //clear  case 5:  clrscr();  goto debut;  //dir  case 6:  if(!strcmp(dir,"/"))  SymPtr=SymFindFirst(NULL, 0); // only displays the folders  else  SymPtr = SymFindFirst(SYMSTR (dir), FO_SINGLE_FOLDER); //only displays files from current dir  int ligne=0;  int nbtot=0;  int nligmax;  if(font==F_4x6)nligmax=12;  else if(font==F_6x8)nligmax=8;  else nligmax=6;  printf("\nContents of directory %s",dir);  while(SymPtr){  if (ligne<=nligmax)printf("\n%s", SymPtr);  else {  printf("\nStrike any key...");  ngetchx();  ligne=-1;  clrscr();  printf("\n%s",SymPtr);  }    SymPtr = SymFindNext ();    nbtot++;  ligne++;  }  printf("\n\nTotal of files : %i\n",nbtot);  goto debut;  //help  case 7:  printf("\nAvailable commands : \nclear, dir, exit, help, mv, mkdir, cd, +, -, rm, cp, off, batt, del, echo, ren, run\n");  goto debut;  //ren  case 8:  if(SymMove(SYMSTR(&argsList[1][1]), SYMSTR(&argsList[2][1])))printf("\nFile has been renamed\n");  else printf("\nError while renaming file %s\n",&argsList[1][1]);  goto debut;  //cp  case 9:  printf("\nEntrez le rpertoire de destination :\n");  sprintf(file,"%s\\%s", dir, &argsList[1][1]);  sprintf(file_dest,"%s\\%s", &argsList[2][1], &argsList[1][1]);  cmd_copyvar(SYMSTR(file), SYMSTR(file_dest));  goto debut;  //del  case 10:  printf("\nEffacer le fichier %s ? (o/n)\n", &argsList[1][1]);  short a;  char filenam[18];  sprintf(filenam, "%s\\%s", dir, &argsList[1][1]);  if((a=ngetchx())=='o' || (a=='O')) SymDel(SYMSTR(filenam));  goto debut;  //cd  case 11:  if ((FOLDER_TABLE==FolderFind(SYMSTR(&argsList[1][1]))) || \  (MAIN_FOLDER==FolderFind(SYMSTR(&argsList[1][1]))))strncpy(dir, &argsList[1][1], 8);  else printf("\ncd : nom de rpertoire invalide");  printf("\n");  goto debut;  //cd..  case 12:  strcpy(dir, "/");  printf("\n");  goto debut;  //rm  case 13:  if(!strcmp(&argsList[2][1], ""))printf("non\n");  if(strcmp(&argsList[1][1], "") && strcmp(&argsList[2][1], "")){  char filename[18];  short a;  if(!strcmp(dir, "/")){// to delete a folder  printf("\nEffacer le dossier %s et son contenu?\n", &argsList[1][1]);  if((a=ngetchx())=='o' || a=='O'){  if(FolderDel(SYMSTR(arg))!=0)printf("Dossier effac\n");  else printf("Erreur de suppression du dossier %s\n", &argsList[1][1]);  }  }else{// to delete a file  sprintf(filename, "%s\\%s", &argsList[2][1], &argsList[1][1]);  printf("\nEffacer le fichier %s?\n", filename);  if ((a=ngetchx())==111 || (a==79)){  if (SymDel(SYMSTR(filename))!=0) printf("Fichier ffac\n");  else printf("Erreur de suppression\n");  }  }  }else printf("\nUsage : rm <file> <dir>\n");  goto debut;  //batt  case 14:  batt=BatteryState(1);  float charge=100;  switch(batt){  case 0:charge=0; break;  case 1:charge=14.3; break;  case 2:charge=28.6; break;  case 3:charge=42.9; break;  case 4:charge=57.1; break;  case 5:charge=71.4; break;  case 6:charge=85.7; break;  case 7:charge=100; break;  }  printf("\n Niveau de charge : %f %c\n",charge, 37);  goto debut;  //mv  case 15:  printf("\nEntrez le nouveau rpertoire :\n");  file[0]='\0';  sprintf(file,"%s\\%s", dir, &argsList[1][1]);  sprintf(file_dest,"%s\\%s", &argsList[2][1], &argsList[1][1]);  if(SymMove(SYMSTR(file), SYMSTR(file_dest))) printf("\nFichier dplac\n");  else printf("Erreur de dplacement\n");  goto debut;  //echo  case 16:  printf("\n%s\n", &argsList[1][1]);  goto debut;  //run  case 17:  if(!strcmp(&argsList[1][1], "")){  printf("\nArgument manquant\n");  goto debut;  }  if(!strcmp(&argsList[1][1], "lin4ti")){  printf("\nLin4Ti fonctionne deja\n");  goto debut;  }  strcpy(file, &argsList[1][1]);  strcat(file, "()");  push_parse_text(file);  HANDLE h=HS_popEStack();  exit_from_prog=TRUE;  printf("\n[pingoui@ti.%s]",dir);  SaveScrState (&ss);  TRY      NG_execute (h, FALSE);   FINALLY      HeapFree (h);    ENDFINAL  FontSetSys(font); // can be modified by another prog to F_6x8, we reset it like it was before  goto debut;  //only <RETURN>  case 18:
	move.l 2664(%a5),%a0
	jbsr (%a0)
.L135:
#L1940	printf("\n"); goto debut;  //bad command  case 19:  printf("\nCommande invalide\n");
	pea .LC14
.L141:
	jbsr printf
.L142:
#L1963	goto ...
	addq.l #4,%sp
	jbra .L49
	.even
.L62:
#L481	if(font==F_4x6)
	tst.w %d7
	jbne .L63
#L487	font=F_6x8;  else if(font==F_6x8)font=F_8x10;
	moveq.l #1,%d7
.L64:
#L505	FontSetSys(font);
	move.w %d7,-(%sp)
	move.l 1596(%a5),%a0
	jbsr (%a0)
#L511	printf("\n");  goto debut;  //-  case 3:  if(font==F_8x10)font=F_6x8;  else if(font==F_6x8)font=F_4x6;  FontSetSys(font);  printf("\n\n");  goto debut;  //mkdir  case 4:  if(FOLDER_TABLE==FolderFind(SYMSTR(&argsList[1][1]))){  printf("\nDirectory %s already exists\n",&argsList[1][1]);  } else{  FolderAdd(SYMSTR(&argsList[1][1]));  printf("\nDirectory %s created\n",&argsList[1][1]);  }  goto debut;  //clear  case 5:  clrscr();  goto debut;  //dir  case 6:  if(!strcmp(dir,"/"))  SymPtr=SymFindFirst(NULL, 0); // only displays the folders  else  SymPtr = SymFindFirst(SYMSTR (dir), FO_SINGLE_FOLDER); //only displays files from current dir  int ligne=0;  int nbtot=0;  int nligmax;  if(font==F_4x6)nligmax=12;  else if(font==F_6x8)nligmax=8;  else nligmax=6;  printf("\nContents of directory %s",dir);  while(SymPtr){  if (ligne<=nligmax)printf("\n%s", SymPtr);  else {  printf("\nStrike any key...");  ngetchx();  ligne=-1;  clrscr();  printf("\n%s",SymPtr);  }    SymPtr = SymFindNext ();    nbtot++;  ligne++;  }  printf("\n\nTotal of files : %i\n",nbtot);
	pea .LC14
.L147:
	jbsr printf
.L145:
#L856	goto ...
	addq.l #6,%sp
	jbra .L49
	.even
.L63:
#L494	if(font==F_6x8)
	cmp.w #1,%d7
	jbne .L64
#L500	font=F_8x10;  FontSetSys(font);  printf("\n");  goto debut;  //-  case 3:
	moveq.l #2,%d7
	jbra .L64
	.even
.L66:
#L528	if(font==F_8x10)font=F_6x8;  else
	cmp.w #2,%d7
	jbeq .L152
#L541	if(font==F_6x8)font=F_4x6;
	cmp.w #1,%d7
	sne %d0
	ext.w %d0
	and.w %d0,%d7
.L68:
#L552	FontSetSys(font);
	move.w %d7,-(%sp)
	move.l 1596(%a5),%a0
	jbsr (%a0)
#L558	printf ...
	pea .LC15
	jbra .L147
#L534	font ...
	.even
.L152:
	moveq.l #1,%d7
	jbra .L68
	.even
.L70:
#L591	))){  printf("\nDirectory %s already exists\n",&argsList[1][1]);  } else{  FolderAdd(SYMSTR(&argsList[1][1]
	lea (76,%a4),%a3
	move.l %a3,-(%sp)
	move.l 2552(%a5),%a0
	jbsr (%a0)
	addq.l #4,%sp
	move.l %d0,%d3
	move.w %d0,%d1
	addq.w #2,%d1
	clr.l %d0
	move.w %d1,%d0
	addq.l #1,%d0
	and.l #131070,%d0
	sub.l %d0,%sp
	move.l %sp,%a2
	clr.b (%sp)
	subq.w #1,%d1
	move.w %d1,-(%sp)
	clr.w -(%sp)
	move.l %a3,-(%sp)
	pea 1(%a2)
	move.l 2472(%a5),%a0
	jbsr (%a0)
	lea (12,%sp),%sp
	and.l #0xFFFF,%d3
	pea 1(%a2,%d3.l)
	move.l 412(%a5),%a0
	jbsr (%a0)
	addq.l #4,%sp
	cmp.w #3,%d0
	jbeq .L153
#L627	));
	move.l %a3,-(%sp)
	move.l 2552(%a5),%a0
	jbsr (%a0)
	addq.l #4,%sp
	move.l %d0,%d3
	move.w %d0,%d1
	addq.w #2,%d1
	clr.l %d0
	move.w %d1,%d0
	addq.l #1,%d0
	and.l #131070,%d0
	sub.l %d0,%sp
	move.l %sp,%a2
	clr.b (%sp)
	subq.w #1,%d1
	move.w %d1,-(%sp)
	clr.w -(%sp)
	move.l %a3,-(%sp)
	pea 1(%a2)
	move.l 2472(%a5),%a0
	jbsr (%a0)
	lea (12,%sp),%sp
	and.l #0xFFFF,%d3
	pea 1(%a2,%d3.l)
	move.l 400(%a5),%a0
	jbsr (%a0)
#L631	printf("\nDirectory %s created\n",&argsList[1][1]);  }  goto debut;  //clear  case 5:  clrscr();  goto debut;  //dir  case 6:  if(!strcmp(dir,"/"))  SymPtr=SymFindFirst(NULL, 0); // only displays the folders  else  SymPtr = SymFindFirst(SYMSTR (dir), FO_SINGLE_FOLDER); //only displays files from current dir  int ligne=0;  int nbtot=0;  int nligmax;  if(font==F_4x6)nligmax=12;  else if(font==F_6x8)nligmax=8;  else nligmax=6;  printf("\nContents of directory %s",dir);  while(SymPtr){  if (ligne<=nligmax)printf("\n%s", SymPtr);  else {  printf("\nStrike any key...");  ngetchx();  ligne=-1;  clrscr();  printf("\n%s",SymPtr);  }    SymPtr = SymFindNext ();    nbtot++;  ligne++;  }  printf("\n\nTotal of files : %i\n",nbtot);  goto debut;  //help  case 7:  printf("\nAvailable commands : \nclear, dir, exit, help, mv, mkdir, cd, +, -, rm, cp, off, batt, del, echo, ren, run\n");  goto debut;  //ren  case 8:  if(SymMove(SYMSTR(&argsList[1][1]), SYMSTR(&argsList[2][1])))printf("\nFile has been renamed\n");  else printf("\nError while renaming file %s\n",&argsList[1][1]);  goto debut;  //cp  case 9:  printf("\nEntrez le rpertoire de destination :\n");  sprintf(file,"%s\\%s", dir, &argsList[1][1]);  sprintf(file_dest,"%s\\%s", &argsList[2][1], &argsList[1][1]);  cmd_copyvar(SYMSTR(file), SYMSTR(file_dest));  goto debut;  //del  case 10:  printf("\nEffacer le fichier %s ? (o/n)\n", &argsList[1][1]);  short a;  char filenam[18];  sprintf(filenam, "%s\\%s", dir, &argsList[1][1]);  if((a=ngetchx())=='o' || (a=='O')) SymDel(SYMSTR(filenam));  goto debut;  //cd  case 11:  if ((FOLDER_TABLE==FolderFind(SYMSTR(&argsList[1][1]))) || \  (MAIN_FOLDER==FolderFind(SYMSTR(&argsList[1][1]))))strncpy(dir, &argsList[1][1], 8);  else printf("\ncd : nom de rpertoire invalide");  printf("\n");  goto debut;  //cd..  case 12:  strcpy(dir, "/");  printf("\n");
	move.l %a3,-(%sp)
	pea .LC17
	jbsr printf
.L144:
#L1222	goto ...
	lea (12,%sp),%sp
	jbra .L49
#L596	printf ...
	.even
.L153:
	move.l %a3,-(%sp)
	pea .LC16
.L148:
	jbsr printf
.L143:
#L1765	goto ...
	addq.l #8,%sp
	jbra .L49
	.even
.L73:
#L658	clrscr();
	jbsr clrscr
#L663	goto debut;  //dir  case 6:
	jbra .L49
	.even
.L74:
#L674	if(!strcmp(dir,"/"))
	pea .LC18
	lea (-4366,%a6),%a4
	move.l %a4,-(%sp)
	move.l 2500(%a5),%a0
	jbsr (%a0)
	addq.l #8,%sp
	tst.w %d0
	jbne .L75
#L685	SymPtr=SymFindFirst(NULL, 0); // only displays the folders  else  SymPtr = SymFindFirst(SYMSTR (dir), FO_SINGLE_FOLDER); //only displays files from current dir  int ligne
	clr.w -(%sp)
	clr.l -(%sp)
.L146:
	move.l 432(%a5),%a0
	jbsr (%a0)
	move.l %a0,%d3
	addq.l #6,%sp
#L721	=0;  int nbtot
	clr.w %d4
#L728	=0;  int nligmax;
	sub.l %a3,%a3
#L737	if(font==F_4x6)nligmax=12;  else
	moveq.l #12,%d5
	tst.w %d7
	jbeq .L78
#L750	if(font==F_6x8)nligmax=8;  else
	moveq.l #8,%d5
	cmp.w #1,%d7
	jbeq .L78
#L763	nligmax=6;
	moveq.l #6,%d5
.L78:
#L768	printf("\nContents of directory %s",dir);
	move.l %a4,-(%sp)
	pea .LC19
	jbsr printf
#L776	while(SymPtr){
	addq.l #8,%sp
	tst.l %d3
	jbeq .L140
.L86:
#L782	if (ligne<=nligmax)
	cmp.w %d4,%d5
	jblt .L84
#L788	printf("\n%s", SymPtr);  else {  printf("\nStrike any key...");  ngetchx();  ligne=-1;  clrscr();  printf("\n%s",SymPtr);  }
	move.l %d3,-(%sp)
	pea .LC20
	jbsr printf
	addq.l #8,%sp
.L85:
#L830	SymPtr = SymFindNext ();
	move.l 436(%a5),%a0
	jbsr (%a0)
	move.l %a0,%d3
#L839	nbtot++;
	addq.w #1,%a3
#L843	ligne++;  }
	addq.w #1,%d4
	cmp.w #0,%a0
	jbne .L86
.L140:
#L848	printf ...
	move.w %a3,-(%sp)
	pea .LC22
	jbsr printf
	jbra .L145
	.even
.L84:
#L800	printf("\nStrike any key...");
	pea .LC21
	lea printf,%a2
	jbsr (%a2)
#L806	ngetchx();
	move.l 324(%a5),%a0
	jbsr (%a0)
#L811	ligne=-1;
	moveq.l #-1,%d4
#L816	clrscr();
	jbsr clrscr
#L821	printf ...
	move.l %d3,-(%sp)
	pea .LC20
	jbsr (%a2)
	lea (12,%sp),%sp
	jbra .L85
	.even
.L75:
#L709	) ...
	move.l %a4,-(%sp)
	move.l 2552(%a5),%a0
	jbsr (%a0)
	addq.l #4,%sp
	move.l %d0,%d3
	move.w %d0,%d1
	addq.w #2,%d1
	clr.l %d0
	move.w %d1,%d0
	addq.l #1,%d0
	and.l #131070,%d0
	sub.l %d0,%sp
	move.l %sp,%a2
	clr.b (%sp)
	subq.w #1,%d1
	move.w %d1,-(%sp)
	clr.w -(%sp)
	move.l %a4,-(%sp)
	pea 1(%a2)
	move.l 2472(%a5),%a0
	jbsr (%a0)
	lea (12,%sp),%sp
	and.l #0xFFFF,%d3
	move.w #1,-(%sp)
	pea 1(%a2,%d3.l)
	jbra .L146
	.even
.L87:
#L867	printf("\nAvailable commands : \nclear, dir, exit, help, mv, mkdir, cd, +, -, rm, cp, off, batt, del, echo, ren, run\n");
	pea .LC23
#L873	goto debut;  //ren  case 8:
	jbra .L141
	.even
.L88:
#L884	if(SymMove(SYMSTR(&argsList[1][1]), SYMSTR(&argsList[2][1]
#L911	) ...
	lea (151,%a4),%a3
	move.l %a3,-(%sp)
	move.l 2552(%a5),%a0
	jbsr (%a0)
	addq.l #4,%sp
	move.l %d0,%d3
	move.w %d0,%d1
	addq.w #2,%d1
	clr.l %d0
	move.w %d1,%d0
	addq.l #1,%d0
	and.l #131070,%d0
	sub.l %d0,%sp
	move.l %sp,%a2
	clr.b (%sp)
	subq.w #1,%d1
	move.w %d1,-(%sp)
	clr.w -(%sp)
	move.l %a3,-(%sp)
	pea 1(%a2)
	move.l 2472(%a5),%a0
	jbsr (%a0)
	lea (12,%sp),%sp
	and.l #0xFFFF,%d3
	lea 1(%a2,%d3.l),%a2
#L898	) ...
	lea (76,%a4),%a4
	move.l %a4,-(%sp)
	move.l 2552(%a5),%a0
	jbsr (%a0)
	addq.l #4,%sp
	move.l %d0,%d3
	move.w %d0,%d1
	addq.w #2,%d1
	clr.l %d0
	move.w %d1,%d0
	addq.l #1,%d0
	and.l #131070,%d0
	sub.l %d0,%sp
	move.l %sp,%a3
	clr.b (%sp)
	subq.w #1,%d1
	move.w %d1,-(%sp)
	clr.w -(%sp)
	move.l %a4,-(%sp)
	pea 1(%a3)
	move.l 2472(%a5),%a0
	jbsr (%a0)
	lea (12,%sp),%sp
	and.l #0xFFFF,%d3
	move.l %a2,-(%sp)
	pea 1(%a3,%d3.l)
	move.l 396(%a5),%a0
	jbsr (%a0)
	addq.l #8,%sp
	tst.w %d0
	jbne .L154
#L922	printf("\nError while renaming file %s\n",&argsList[1][1]);
	move.l %a4,-(%sp)
	pea .LC25
#L937	goto ...
	jbra .L148
#L914	printf ...
	.even
.L154:
	pea .LC24
	jbra .L141
	.even
.L91:
#L949	printf("\nEntrez le rpertoire de destination :\n");
	pea .LC26
	jbsr printf
#L955	sprintf(file,"%s\\%s", dir, &argsList[1][1]);
	lea (76,%a4),%a2
	move.l %a2,-(%sp)
	pea -4366(%a6)
	pea .LC27
	move.l %a6,%d5
	add.l #-4410,%d5
	move.l %d5,-(%sp)
	move.l 332(%a5),%a0
	jbsr (%a0)
#L976	sprintf(file_dest,"%s\\%s", &argsList[2][1], &argsList[1][1]);
	move.l %a2,-(%sp)
	pea 151(%a4)
	pea .LC27
	move.l %a6,%d4
	add.l #-4428,%d4
	move.l %d4,-(%sp)
	move.l 332(%a5),%a0
	jbsr (%a0)
#L1004	cmd_copyvar(SYMSTR(file), SYMSTR(file_dest
#L1015	) ...
	lea (32,%sp),%sp
	move.l %d4,(%sp)
	move.l 2552(%a5),%a0
	jbsr (%a0)
	addq.l #4,%sp
	move.l %d0,%d3
	move.w %d0,%d1
	addq.w #2,%d1
	clr.l %d0
	move.w %d1,%d0
	addq.l #1,%d0
	and.l #131070,%d0
	sub.l %d0,%sp
	move.l %sp,%a2
	clr.b (%sp)
	subq.w #1,%d1
	move.w %d1,-(%sp)
	clr.w -(%sp)
	move.l %d4,-(%sp)
	pea 1(%a2)
	move.l 2472(%a5),%a0
	jbsr (%a0)
	lea (12,%sp),%sp
	and.l #0xFFFF,%d3
	lea 1(%a2,%d3.l),%a2
#L1009	) ...
	move.l %d5,-(%sp)
	move.l 2552(%a5),%a0
	jbsr (%a0)
	addq.l #4,%sp
	move.l %d0,%d3
	move.w %d0,%d1
	addq.w #2,%d1
	clr.l %d0
	move.w %d1,%d0
	addq.l #1,%d0
	and.l #131070,%d0
	sub.l %d0,%sp
	move.l %sp,%a3
	clr.b (%sp)
	subq.w #1,%d1
	move.w %d1,-(%sp)
	clr.w -(%sp)
	move.l %d5,-(%sp)
	pea 1(%a3)
	move.l 2472(%a5),%a0
	jbsr (%a0)
	lea (12,%sp),%sp
	and.l #0xFFFF,%d3
	move.l %a2,-(%sp)
	pea 1(%a3,%d3.l)
	move.l 3276(%a5),%a0
	jbsr (%a0)
#L1019	goto debut;  //del  case 10:
	jbra .L143
	.even
.L92:
#L1030	printf("\nEffacer le fichier %s ? (o/n)\n", &argsList[1][1]);  short a;  char filenam[18];
	lea (76,%a4),%a2
	move.l %a2,-(%sp)
	pea .LC28
	jbsr printf
#L1059	sprintf(filenam, "%s\\%s", dir, &argsList[1][1]);
	move.l %a2,-(%sp)
	pea -4366(%a6)
	pea .LC27
	move.l %a6,%d4
	add.l #-4446,%d4
	move.l %d4,-(%sp)
	move.l 332(%a5),%a0
	jbsr (%a0)
#L1081	if((a=ngetchx())=='o' || (a=='O')) SymDel(SYMSTR(filenam
	move.l 324(%a5),%a0
	jbsr (%a0)
	lea (24,%sp),%sp
	cmp.w #111,%d0
	jbeq .L94
	cmp.w #79,%d0
	jbne .L49
.L94:
#L1105	));
	move.l %d4,-(%sp)
	move.l 2552(%a5),%a0
	jbsr (%a0)
	addq.l #4,%sp
	move.l %d0,%d3
	move.w %d0,%d1
	addq.w #2,%d1
	clr.l %d0
	move.w %d1,%d0
	addq.l #1,%d0
	and.l #131070,%d0
	sub.l %d0,%sp
	move.l %sp,%a2
	clr.b (%sp)
	subq.w #1,%d1
	move.w %d1,-(%sp)
	clr.w -(%sp)
	move.l %d4,-(%sp)
	pea 1(%a2)
	move.l 2472(%a5),%a0
	jbsr (%a0)
	lea (12,%sp),%sp
	and.l #0xFFFF,%d3
	pea 1(%a2,%d3.l)
	move.l 376(%a5),%a0
	jbsr (%a0)
#L1109	goto debut;  //cd  case 11:  if ((FOLDER_TABLE==FolderFind(SYMSTR(&argsList[1][1]
	jbra .L142
	.even
.L95:
#L1137	))) || \  (MAIN_FOLDER==FolderFind(SYMSTR(&argsList[1][1]
	lea (76,%a4),%a3
	move.l %a3,-(%sp)
	move.l 2552(%a5),%a0
	jbsr (%a0)
	addq.l #4,%sp
	move.l %d0,%d3
	move.w %d0,%d1
	addq.w #2,%d1
	clr.l %d0
	move.w %d1,%d0
	addq.l #1,%d0
	and.l #131070,%d0
	sub.l %d0,%sp
	move.l %sp,%a2
	clr.b (%sp)
	subq.w #1,%d1
	move.w %d1,-(%sp)
	clr.w -(%sp)
	move.l %a3,-(%sp)
	pea 1(%a2)
	move.l 2472(%a5),%a0
	jbsr (%a0)
	lea (12,%sp),%sp
	and.l #0xFFFF,%d3
	pea 1(%a2,%d3.l)
	move.l 412(%a5),%a0
	jbsr (%a0)
	addq.l #4,%sp
	cmp.w #3,%d0
	jbeq .L97
#L1159	))))strncpy(dir, &argsList[1][1], 8);  else
	move.l %a3,-(%sp)
	move.l 2552(%a5),%a0
	jbsr (%a0)
	addq.l #4,%sp
	move.l %d0,%d3
	move.w %d0,%d1
	addq.w #2,%d1
	clr.l %d0
	move.w %d1,%d0
	addq.l #1,%d0
	and.l #131070,%d0
	sub.l %d0,%sp
	move.l %sp,%a2
	clr.b (%sp)
	subq.w #1,%d1
	move.w %d1,-(%sp)
	clr.w -(%sp)
	move.l %a3,-(%sp)
	pea 1(%a2)
	move.l 2472(%a5),%a0
	jbsr (%a0)
	lea (12,%sp),%sp
	and.l #0xFFFF,%d3
	pea 1(%a2,%d3.l)
	move.l 412(%a5),%a0
	jbsr (%a0)
	addq.l #4,%sp
	cmp.w #2,%d0
	jbeq .L97
#L1184	printf("\ncd : nom de rpertoire invalide");  printf("\n");
	pea .LC29
	jbsr printf
	addq.l #4,%sp
#L1196	goto ...
	jbra .L135
	.even
.L97:
#L1163	strncpy ...
	pea 8.w
	move.l %a3,-(%sp)
	pea -4366(%a6)
	move.l 2484(%a5),%a0
	jbsr (%a0)
	lea (12,%sp),%sp
	jbra .L135
	.even
.L99:
#L1207	strcpy(dir, "/");
	pea .LC18
	pea -4366(%a6)
	move.l 2480(%a5),%a0
	jbsr (%a0)
#L1216	printf("\n");  goto debut;  //rm  case 13:
	pea .LC14
	jbsr printf
	jbra .L144
	.even
.L100:
#L1233	if(!strcmp(&argsList[2][1], ""))printf("non\n");
	pea .LC11
	lea (151,%a4),%a2
	move.l %a2,-(%sp)
	move.l 2500(%a5),%a0
	jbsr (%a0)
	addq.l #8,%sp
	tst.w %d0
	jbeq .L155
.L101:
#L1257	if(strcmp(&argsList[1][1], "") && strcmp(&argsList[2][1], "")){  char filename[18];  short a;  if(!strcmp(dir, "/")){// to delete a folder  printf("\nEffacer le dossier %s et son contenu?\n", &argsList[1][1]);  if((a=ngetchx())=='o' || a=='O'){  if(FolderDel(SYMSTR(arg))!=0)printf("Dossier effac\n");  else printf("Erreur de suppression du dossier %s\n", &argsList[1][1]);  }  }else{// to delete a file  sprintf(filename, "%s\\%s", &argsList[2][1], &argsList[1][1]);  printf("\nEffacer le fichier %s?\n", filename);  if ((a=ngetchx())==111 || (a==79)){  if (SymDel(SYMSTR(filename))!=0) printf("Fichier ffac\n");  else printf("Erreur de suppression\n");  }  }  }else
	pea .LC11
	lea (76,%a4),%a3
	move.l %a3,-(%sp)
	move.l 2500(%a5),%a0
	jbsr (%a0)
	addq.l #8,%sp
	tst.w %d0
	jbeq .L102
	pea .LC11
	move.l %a2,-(%sp)
	move.l 2500(%a5),%a0
	jbsr (%a0)
	addq.l #8,%sp
	tst.w %d0
	jbne .L156
.L102:
#L1488	printf("\nUsage : rm <file> <dir>\n");
	pea .LC37
#L1494	goto ...
	jbra .L141
#L1306	if(!strcmp(dir, "/")){// to delete a folder  printf("\nEffacer le dossier %s et son contenu?\n", &argsList[1][1]);  if((a=ngetchx())=='o' || a=='O'){  if(FolderDel(SYMSTR(arg))!=0)printf("Dossier effac\n");  else printf("Erreur de suppression du dossier %s\n", &argsList[1][1]);  }  }else{// to delete a file
	.even
.L156:
	pea .LC18
	pea -4366(%a6)
	move.l 2500(%a5),%a0
	jbsr (%a0)
	addq.l #8,%sp
	tst.w %d0
	jbeq .L157
#L1398	sprintf(filename, "%s\\%s", &argsList[2][1], &argsList[1][1]);
	move.l %a3,-(%sp)
	move.l %a2,-(%sp)
	pea .LC27
	move.l %a6,%d4
	add.l #-4464,%d4
	move.l %d4,-(%sp)
	move.l 332(%a5),%a0
	jbsr (%a0)
#L1427	printf("\nEffacer le fichier %s?\n", filename);
	move.l %d4,-(%sp)
	pea .LC34
	lea printf,%a3
	jbsr (%a3)
#L1436	if ((a=ngetchx())==111 || (a==79)){  if (SymDel(SYMSTR(filename
	move.l 324(%a5),%a0
	jbsr (%a0)
	lea (24,%sp),%sp
	cmp.w #111,%d0
	jbeq .L110
	cmp.w #79,%d0
	jbne .L49
.L110:
#L1464	))!=0) printf("Fichier ffac\n");  else
	move.l %d4,-(%sp)
	move.l 2552(%a5),%a0
	jbsr (%a0)
	addq.l #4,%sp
	move.l %d0,%d3
	move.w %d0,%d1
	addq.w #2,%d1
	clr.l %d0
	move.w %d1,%d0
	addq.l #1,%d0
	and.l #131070,%d0
	sub.l %d0,%sp
	move.l %sp,%a2
	clr.b (%sp)
	subq.w #1,%d1
	move.w %d1,-(%sp)
	clr.w -(%sp)
	move.l %d4,-(%sp)
	pea 1(%a2)
	move.l 2472(%a5),%a0
	jbsr (%a0)
	lea (12,%sp),%sp
	and.l #0xFFFF,%d3
	pea 1(%a2,%d3.l)
	move.l 376(%a5),%a0
	jbsr (%a0)
	addq.l #4,%sp
	tst.w %d0
	jbne .L158
#L1478	printf ...
	pea .LC36
.L149:
	jbsr (%a3)
	jbra .L142
#L1470	printf ...
	.even
.L158:
	pea .LC35
	jbra .L149
#L1321	printf("\nEffacer le dossier %s et son contenu?\n", &argsList[1][1]);
	.even
.L157:
	move.l %a3,-(%sp)
	pea .LC31
	lea printf,%a4
	jbsr (%a4)
#L1337	if((a=ngetchx())=='o' || a=='O'){  if(FolderDel(SYMSTR(arg)
	move.l 324(%a5),%a0
	jbsr (%a0)
	addq.l #8,%sp
	cmp.w #111,%d0
	jbeq .L105
	cmp.w #79,%d0
	jbne .L49
.L105:
#L1364	)!=0)printf("Dossier effac\n");  else
	pea -4525(%a6)
	move.l 2552(%a5),%a0
	jbsr (%a0)
	addq.l #4,%sp
	move.l %d0,%d3
	move.w %d0,%d1
	addq.w #2,%d1
	clr.l %d0
	move.w %d1,%d0
	addq.l #1,%d0
	and.l #131070,%d0
	sub.l %d0,%sp
	move.l %sp,%a2
	clr.b (%sp)
	subq.w #1,%d1
	move.w %d1,-(%sp)
	clr.w -(%sp)
	pea -4525(%a6)
	pea 1(%a2)
	move.l 2472(%a5),%a0
	jbsr (%a0)
	lea (12,%sp),%sp
	and.l #0xFFFF,%d3
	clr.w -(%sp)
	pea 1(%a2,%d3.l)
	move.l 408(%a5),%a0
	jbsr (%a0)
	addq.l #6,%sp
	tst.w %d0
	jbne .L159
#L1376	printf ...
	move.l %a3,-(%sp)
	pea .LC33
	jbsr (%a4)
	jbra .L143
#L1368	printf ...
	.even
.L159:
	pea .LC32
	jbsr (%a4)
	jbra .L142
#L1251	printf ...
	.even
.L155:
	pea .LC30
	jbsr printf
	addq.l #4,%sp
	jbra .L101
	.even
.L114:
#L1505	batt=BatteryState(1);  float charge
	move.w #1,-(%sp)
	jbsr BatteryState
#L1516	=100;  switch(batt
	move.l .LC38,%d1
	move.l .LC38+4,%d2
	move.w .LC38+8,%d3
#L1523	){  case 0:
	addq.l #2,%sp
	cmp.w #7,%d0
	jbhi .L115
	and.l #0xFFFF,%d0
	add.l %d0,%d0
	.set .LI124,.+2
	move.w .L124-.LI124.b(%pc,%d0.l),%d0
	jmp %pc@(2,%d0:w)
	.even
	.even
.L124:
	.word .L116-.L124
	.word .L117-.L124
	.word .L118-.L124
	.word .L119-.L124
	.word .L120-.L124
	.word .L121-.L124
	.word .L122-.L124
	.word .L123-.L124
	.even
.L116:
#L1530	charge=0; break;  case 1:charge=14.3; break;  case 2:charge=28.6; break;  case 3:charge=42.9; break;  case 4:charge=57.1; break;  case 5:charge=71.4; break;  case 6:charge=85.7; break;  case 7:charge=100; break;  }
	move.l .LC39,%d1
	move.l .LC39+4,%d2
	move.w .LC39+8,%d3
.L115:
#L1623	printf("\n Niveau de charge : %f %c\n",charge, 37);
	move.w #37,-(%sp)
	move.w %d3,-(%sp)
	move.l %d2,-(%sp)
	move.l %d1,-(%sp)
	pea .LC47
	jbsr printf
#L1634	goto ...
	lea (16,%sp),%sp
	jbra .L49
	.even
.L117:
#L1542	charge=14.3;
	move.l .LC40,%d1
	move.l .LC40+4,%d2
	move.w .LC40+8,%d3
#L1547	break;  case 2:
	jbra .L115
	.even
.L118:
#L1554	charge=28.6;
	move.l .LC41,%d1
	move.l .LC41+4,%d2
	move.w .LC41+8,%d3
#L1559	break;  case 3:
	jbra .L115
	.even
.L119:
#L1566	charge=42.9;
	move.l .LC42,%d1
	move.l .LC42+4,%d2
	move.w .LC42+8,%d3
#L1571	break;  case 4:
	jbra .L115
	.even
.L120:
#L1578	charge=57.1;
	move.l .LC43,%d1
	move.l .LC43+4,%d2
	move.w .LC43+8,%d3
#L1583	break;  case 5:
	jbra .L115
	.even
.L121:
#L1590	charge=71.4;
	move.l .LC44,%d1
	move.l .LC44+4,%d2
	move.w .LC44+8,%d3
#L1595	break;  case 6:
	jbra .L115
	.even
.L122:
#L1602	charge=85.7;
	move.l .LC45,%d1
	move.l .LC45+4,%d2
	move.w .LC45+8,%d3
#L1607	break;  case 7:
	jbra .L115
	.even
.L123:
#L1614	charge ...
	move.l .LC46,%d1
	move.l .LC46+4,%d2
	move.w .LC46+8,%d3
	jbra .L115
	.even
.L126:
#L1645	printf("\nEntrez le nouveau rpertoire :\n");
	pea .LC48
	move.l #printf,%d6
	move.l %d6,%a0
	jbsr (%a0)
#L1651	file[0]='\0';
	clr.b -4410(%a6)
#L1658	sprintf(file,"%s\\%s", dir, &argsList[1][1]);
	lea (76,%a4),%a2
	move.l %a2,-(%sp)
	pea -4366(%a6)
	pea .LC27
	move.l %a6,%d5
	add.l #-4410,%d5
	move.l %d5,-(%sp)
	move.l 332(%a5),%a0
	jbsr (%a0)
#L1679	sprintf(file_dest,"%s\\%s", &argsList[2][1], &argsList[1][1]);
	move.l %a2,-(%sp)
	pea 151(%a4)
	pea .LC27
	move.l %a6,%d4
	add.l #-4428,%d4
	move.l %d4,-(%sp)
	move.l 332(%a5),%a0
	jbsr (%a0)
#L1707	if(SymMove(SYMSTR(file), SYMSTR(file_dest
#L1720	) ...
	lea (32,%sp),%sp
	move.l %d4,(%sp)
	move.l 2552(%a5),%a0
	jbsr (%a0)
	addq.l #4,%sp
	move.l %d0,%d3
	move.w %d0,%d1
	addq.w #2,%d1
	clr.l %d0
	move.w %d1,%d0
	addq.l #1,%d0
	and.l #131070,%d0
	sub.l %d0,%sp
	move.l %sp,%a2
	clr.b (%sp)
	subq.w #1,%d1
	move.w %d1,-(%sp)
	clr.w -(%sp)
	move.l %d4,-(%sp)
	pea 1(%a2)
	move.l 2472(%a5),%a0
	jbsr (%a0)
	lea (12,%sp),%sp
	and.l #0xFFFF,%d3
	lea 1(%a2,%d3.l),%a2
#L1714	) ...
	move.l %d5,-(%sp)
	move.l 2552(%a5),%a0
	jbsr (%a0)
	addq.l #4,%sp
	move.l %d0,%d3
	move.w %d0,%d1
	addq.w #2,%d1
	clr.l %d0
	move.w %d1,%d0
	addq.l #1,%d0
	and.l #131070,%d0
	sub.l %d0,%sp
	move.l %sp,%a3
	clr.b (%sp)
	subq.w #1,%d1
	move.w %d1,-(%sp)
	clr.w -(%sp)
	move.l %d5,-(%sp)
	pea 1(%a3)
	move.l 2472(%a5),%a0
	jbsr (%a0)
	lea (12,%sp),%sp
	and.l #0xFFFF,%d3
	move.l %a2,-(%sp)
	pea 1(%a3,%d3.l)
	move.l 396(%a5),%a0
	jbsr (%a0)
	addq.l #8,%sp
	tst.w %d0
	jbne .L160
#L1732	printf("Erreur de dplacement\n");
	pea .LC50
.L150:
	move.l %d6,%a0
	jbsr (%a0)
#L1738	goto ...
	jbra .L142
#L1724	printf ...
	.even
.L160:
	pea .LC49
	jbra .L150
	.even
.L129:
#L1749	printf("\n%s\n", &argsList[1][1]);  goto debut;  //run  case 17:
	pea 76(%a4)
	pea .LC51
	jbra .L148
	.even
.L130:
#L1776	if(!strcmp(&argsList[1][1], "")){  printf("\nArgument manquant\n");  goto debut;  }
	pea .LC11
	lea (76,%a4),%a2
	move.l %a2,-(%sp)
	move.l 2500(%a5),%a0
	jbsr (%a0)
	addq.l #8,%sp
	tst.w %d0
	jbeq .L161
#L1808	if(!strcmp(&argsList[1][1], "lin4ti")){  printf("\nLin4Ti fonctionne deja\n");  goto debut;  }
	pea .LC53
	move.l %a2,-(%sp)
	move.l 2500(%a5),%a0
	jbsr (%a0)
	addq.l #8,%sp
	tst.w %d0
	jbeq .L162
#L1840	strcpy(file, &argsList[1][1]);
	move.l %a2,-(%sp)
	move.l %a6,%d3
	add.l #-4410,%d3
	move.l %d3,-(%sp)
	move.l 2480(%a5),%a0
	jbsr (%a0)
#L1856	strcat(file, "()");
	pea .LC55
	move.l %d3,-(%sp)
	move.l 2488(%a5),%a0
	jbsr (%a0)
#L1865	push_parse_text(file);  HANDLE h
	move.l %d3,-(%sp)
	move.l 3880(%a5),%a0
	jbsr (%a0)
#L1874	=HS_popEStack();
	move.l 2320(%a5),%a0
	jbsr (%a0)
	move.w %d0,%d4
#L1880	exit_from_prog=TRUE;
	move.w #1,-4528(%a6)
#L1885	printf("\n[pingoui@ti.%s]",dir);
	pea -4366(%a6)
	pea .LC56
	jbsr printf
#L1893	SaveScrState (&ss);
	move.l %d5,-(%sp)
	move.l 1664(%a5),%a0
	jbsr (%a0)
#L1900	TRY      NG_execute (h, FALSE);   FINALLY
	lea (32,%sp),%sp
	pea -4524(%a6)
	move.l 1360(%a5),%a0
	jbsr (%a0)
	move.w %d0,%d3
	addq.l #4,%sp
	jbeq .L163
.L133:
#L1913	HeapFree (h);
	move.w %d4,-(%sp)
	move.l 604(%a5),%a0
	jbsr (%a0)
#L1919	ENDFINAL
	addq.l #2,%sp
	tst.w %d3
	jbne .L164
#L1921	FontSetSys(font); // can be modified by another prog to F_6x8, we reset it like it was before
	move.w %d7,-(%sp)
	move.l 1596(%a5),%a0
	jbsr (%a0)
#L1929	goto ...
	addq.l #2,%sp
	jbra .L49
#L1902	NG_execute (h, FALSE);
	.even
.L163:
	clr.w -(%sp)
	move.w %d4,-(%sp)
	move.l 2420(%a5),%a0
	jbsr (%a0)
#L1911	FINALLY ...
	move.l 1364(%a5),%a0
	jbsr (%a0)
	addq.l #4,%sp
	jbra .L133
#L1828	printf("\nLin4Ti fonctionne deja\n");
	.even
.L162:
	pea .LC54
#L1834	goto ...
	jbra .L141
#L1796	printf("\nArgument manquant\n");
	.even
.L161:
	pea .LC52
#L1802	goto ...
	jbra .L141
	.even
.L136:
#L1957	printf ...
	pea .LC57
	jbra .L141
#L365	strcpy ...
	.even
.L151:
	pea .LC13
	move.l %d4,-(%sp)
	move.l 2480(%a5),%a0
	jbsr (%a0)
	addq.l #8,%sp
	jbra .L54
	.even
.L50:
#L274	printf("[pingoui@ti.%s]",dir);
	pea -4366(%a6)
	pea .LC10
	jbsr printf
#L282	SaveScrState ...
	pea -4384(%a6)
	move.l 1664(%a5),%a0
	jbsr (%a0)
	lea (12,%sp),%sp
	jbra .L51
	.even
.L164:
	move.l 1356(%a5),%a0
	move.w %d3,-(%sp)
	jbsr (%a0)
	.even
.L53:
#L1981	);
	pea 3840.w
	move.l #-3840,%d0
	add.l %a6,%d0
	move.l %d0,-(%sp)
	pea 19456.w
	move.l 2472(%a5),%a0
	jbsr (%a0)
#L1984	ST_showHelp("Bonne journe avec Lin4Ti !");
	pea .LC58
	move.l 920(%a5),%a0
	jbsr (%a0)
#L1990	return;
	move.l -4532(%a6),%sp
#L1993	}
	movm.l -4564(%a6),#0x1cf8
	unlk %a6
	rts
#APP
	BatteryState:
           movem.l  %d1/%a0-%a1,-(%sp)
           tst.w   16(%sp)           | jump for HW1
           beq     _bat_h1_1
           lea     0x70001D,%a0
           move.b  (%a0),%d0
           ori.b   #9,%d0
           move.b  %d0,(%a0)
_bat_h1_1: moveq   #6,%d1
           lea     0x600018,%a1
_bat_loop: bsr.s   _bat_ini         | this initialization lacked in previous versions
           move.w  %d1,%d0
           lsl.w   #7,%d0
           move.w  %d0,(%a1)
           moveq   #0x6e,%d0
_bat_test: btst.b  #2,-0x18(%a1)
           dbeq    %d0,_bat_test
           beq.s   _bat_quit
           dbf     %d1,_bat_loop
_bat_quit: neg.w   %d1
           addq.w  #6,%d1
           tst.w   4(%sp)
           beq.s   _bat_h1_2        | jump for HW1
           and.b   #0xF7,(%a0)
           bsr.s   _bat_ini
           andi.b  #0xF6,(%a0)
_bat_h1_2: move.w  %d1,%d0
           movem.l (%sp)+,%d1/%a0-%a1
           rts
_bat_ini:  move.w  #0x380,(%a1)
           moveq   #52,%d0
_bat_wait: btst.b  #2,-0x18(%a1)
           dbeq    %d0,_bat_wait
           rts
#NO_APP
.comm _nostub,2
