	.file	"lin4ti.c"
#NO_APP
/* Include Patch: __not_reg_relative */
	.macro __save_the_stack_pointer
		move.l %sp,__save__sp__
	.endm
	.data
tigcc_compiled.:
	.set _A_LINE,0xA000
#APP
/* Main Startup Code */
	.even
	.set __min_num_ROM_CALLs__,0x3CC
	move.l 0xC8,%a0
	/* Calculator Detection */
	moveq #1,%d0
	move.l %a0,%d1
	and.l #0x400000,%d1
	jbne __calc_in_d0__
	clr.w %d0
	move.l (%a0,0x2F*4),%a1 /* ScrRect */
	cmp.b #200,2(%a1)
	jbcs __calc_in_d0__
	moveq #3,%d0
__calc_in_d0__:
	lea __calculator(%pc),%a1
	move.w %d0,(%a1)
__calc_is_OK__:
	/* Minimum AMS Version Check */
	cmp.l #__min_num_ROM_CALLs__,(%a0,-4) /* TIOS_entries */
	jbcc __ams_version_is_OK__
__ams_version_not_OK__:
	pea.l __ams_too_low__
__display_message_and_exit__:
	move.l (%a0,0xE6*4),%a0 /* ST_helpMsg */
	jsr (%a0)
	addq.l #4,%sp
	rts
__ams_version_is_OK__:
	/* Support for exit and atexit */
	movem.l %d3-%d7/%a2-%a6,-(%sp)
	jbsr _main
	movem.l (%sp)+,%d3-%d7/%a2-%a6
	rts
	.xdef __save__sp__
	.even
__save__sp__:
	.long 0
	.xdef __calculator
	.even
__calculator:
	.word -1
	.even
__ams_too_low__:
	.ascii "AMS "
	.ascii "1.01"
	.asciz " or higher needed"
	.even
#NO_APP
#APP
	.xdef _ti89
	.xdef _ti92plus
	/* Include Patch: _detect_calc_ */
	/* Include Patch: _need_calculator_var_ */
	/* Include Patch: _MIN_AMS_required_ */
	/* Include Patch: _MIN_AMS_1_01_ */
	/* Include Patch: dont_set_file_inuse_bit */
	.data
	/* Include Patch: nostub_patch */
	/* Include Patch: nostub_optimize_rom_calls */
	/* Include Patch: no_retval */
	/* Include Patch: nostub_exit_support */
	/* Include Patch: save_the_sp */
	/* Include Patch: complex_main */
	.set MT_TEXT,0x8000
	.set MT_XREF,0x9000
	.set MT_ICON,0xA000
	.set MT_CASCADE,0x4000
#NO_APP
.LC0:
	.ascii "%s_  \0"
.LC2:
	.ascii "%s  \0"
.LC1:
	.ascii "%s_ \0"
	.even
	.globl	inputStr
inputStr:
	link.w %a6,#0
	movm.l #0x1c20,-(%sp)
	move.l 26(%a6),%a2
	move.w 30(%a6),%d5
#$0008C	{  unsigned short
#$0008C	BatteryState(unsigned short
	clr.w %d4
#$0008E	is_hw_2);  LCD_BUFFER
	move.w %d4,%d0
	cmp.w %d4,%d5
	jblt .L7
.L6:
	clr.b (%a2,%d0.w)
	addq.w #1,%d0
	cmp.w %d0,%d5
	jbge .L6
.L7:
#$0009E	LCD_buff;  LCD_save(LCD_buff);  BOOL exit_from_prog=
	move.w 20(%a6),-(%sp)
	move.w 18(%a6),-(%sp)
	move.l 1652(%a5),%a0
	jbsr (%a0)
#$000AC	FALSE; // true if a program was started within Lin4Ti  short font=
	move.l 1592(%a5),%a0
	jbsr (%a0)
	addq.l #4,%sp
	tst.b %d0
	jbne .L10
#$000BA	F_4x6;  // all available commands; if command isn't here, Lin4Ti will display "Commande incorrecte"  // IMPORTANT !!! if you add a command, do not forget to increase the max value of i after the do...while loop!!!  char availableCmds[20][7]={"exit",
	move.l %a2,-(%sp)
	pea .LC0
.L21:
	jbsr printf
	addq.l #8,%sp
#$000C8	"off", "+", "-", "mkdir", "clear",
	move.w #1,-(%sp)
	clr.l -(%sp)
	move.l 1528(%a5),%a0
	jbsr (%a0)
	move.w %d0,%d3
#$000D6	"dir", "help",\   "ren", "cp", "del", "cd", "cd..", "rm", "batt"
	add.w #-32,%d0
	addq.l #6,%sp
	cmp.w #94,%d0
	jbhi .L12
	move.w %d5,%d0
	subq.w #1,%d0
	cmp.w %d4,%d0
	jble .L12
#$000EA	, "mv", "echo", "run", ""};  char argsList[5][75]={"", "", "", "", ""};  clrscr();  ST_batt(2);  FontSetSys(font);    char dir[9]="main";  printf("Lin4Ti, une version Linux pour TI\n\n");  printf("Build 0.40 par Bastien JANSEN\nbastien.jansen@wanadoo.fr\n\n");
	move.b %d3,(%a2,%d4.w)
	addq.w #1,%d4
.L13:
#$000F0	ST_showHelp("Bienvenue!");  int max
	clr.b (%a2,%d4.w)
#$000F4	;    debut:  max=75;  char
	cmp.w #13,%d3
	jbne .L7
#$000FA	 ...
	moveq.l #13,%d0
	jbra .L1
	.even
.L12:
#$000FE	;  char argsList[5][75]={"", "",
	cmp.w #257,%d3
	jbeq .L22
.L14:
#$00104	"", "", ""};  clrscr();  ST_batt
	cmp.w #13,%d3
	jbeq .L17
	cmp.w #264,%d3
	jbne .L13
.L17:
#$00110	(2);  FontSetSys(font);    char
	move.w 20(%a6),-(%sp)
	move.w 18(%a6),-(%sp)
	move.l 1652(%a5),%a0
	jbsr (%a0)
#$0011E	dir[9]="main";
	move.l %a2,-(%sp)
	pea .LC2
	jbsr printf
#$0012A	printf ...
	lea (12,%sp),%sp
	move.w %d3,%d0
	cmp.w #264,%d3
	jbne .L13
	jbra .L1
	.even
.L22:
	tst.w %d4
	jbeq .L14
#$0013C	"" ...
	subq.w #1,%d4
	jbra .L13
	.even
.L10:
#$00140	20 ...
	move.l %a2,-(%sp)
	pea .LC1
	jbra .L21
#$0014A	] ...
	.even
.L1:
	movm.l -16(%a6),#0x438
	unlk %a6
	rts
.LC3:
	.ascii "echo\0"
	.even
	.globl	getArgs
getArgs:
	link.w %a6,#0
	movm.l #0x1c30,-(%sp)
	move.l 8(%a6),%a2
	move.l 12(%a6),%a3
#$0016A	{  unsigned short
#$0016A	BatteryState(unsigned short
#$0016A	is_hw_2);  LCD_BUFFER LCD_buff
	clr.w %d5
#$0016C	;  LCD_save(LCD_buff);  BOOL
	clr.w %d4
#$0016E	exit_from_prog=FALSE; // true if a program was started within Lin4Ti  short font=F_4x6;  // all available commands; if command isn't here, Lin4Ti will display "Commande incorrecte"
	move.w %d5,%d3
.L33:
#$00170	// IMPORTANT !!! if you add a command, do not forget to increase the max value of i after the do...while loop!!!  char availableCmds[20][7
	clr.w %d2
.L32:
#$00172	] ...
	move.w %d3,%d1
	ext.l %d1
	move.l %d1,%d0
	lsl.l #2,%d0
	add.l %d1,%d0
	move.l %d0,%d1
	lsl.l #4,%d1
	sub.l %d0,%d1
	lea (%a3,%d1.l),%a0
	clr.b (%a0,%d2.w)
#$0018A	 ...
	addq.w #1,%d2
	cmp.w #74,%d2
	jble .L32
#$00192	 ...
	addq.w #1,%d3
	cmp.w #4,%d3
	jble .L33
#$0019A	"-", "mkdir"
	clr.w %d3
#$0019C	, "clear", "dir", "help",\   "ren", "cp",
	tst.b (%a2)
	jbeq .L35
.L40:
#$001A0	"del", "cd", "cd..", "rm", "batt", "mv", "echo", "run", ""};  char argsList[5][75]={"",
	cmp.b #32,(%a2,%d3.w)
	jbeq .L46
.L38:
#$001A8	"", "", "", ""};  clrscr();  ST_batt(2);  FontSetSys(font);    char dir[9]="main";  printf("Lin4Ti, une version Linux pour TI\n\n");  printf
	pea .LC3
	move.l %a3,-(%sp)
	move.l 2500(%a5),%a0
	jbsr (%a0)
	addq.l #8,%sp
	tst.w %d0
	jbeq .L47
#$001BA	( ...
	addq.w #1,%d3
	tst.b (%a2,%d3.w)
	jbeq .L35
	cmp.w #5,%d5
	jble .L40
	jbra .L35
#$001CA	(2);  FontSetSys(font);    char dir[9]="main";  printf("Lin4Ti, une version Linux pour TI\n\n"
	.even
.L47:
	moveq.l #75,%d0
	sub.w %d4,%d0
	move.w %d0,%a0
	move.l %a0,-(%sp)
	pea (%a2,%d4.w)
	pea 75(%a3)
	move.l 2484(%a5),%a0
	jbsr (%a0)
#$001E0	) ...
	lea (12,%sp),%sp
	jbra .L35
#$001E6	"rm", "batt", "mv", "echo", "run", ""};  char argsList[5][
	.even
.L46:
	move.w %d3,%d0
	sub.w %d4,%d0
	move.w %d0,%a0
	move.l %a0,-(%sp)
	pea (%a2,%d4.w)
	move.w %d5,%d0
	muls.w #75,%d0
	pea (%a3,%d0.l)
	addq.w #1,%d5
	move.l 2484(%a5),%a0
	jbsr (%a0)
#$00204	75 ...
	move.w %d3,%d4
	lea (12,%sp),%sp
	jbra .L38
	.even
.L35:
#$0020C	ST_showHelp("Bienvenue!");  int max;    debut:  max=75;  char args[max];
	sub.w %d4,%d3
	move.w %d3,%a0
	move.l %a0,-(%sp)
	pea (%a2,%d4.w)
	move.w %d5,%d0
	muls.w #75,%d0
	pea (%a3,%d0.l)
	move.l 2484(%a5),%a0
	jbsr (%a0)
#$00226	SCR_STATE ...
	movm.l -20(%a6),#0xc38
	unlk %a6
	rts
.LC4:
	.ascii "exit\0"
	.skip 2
	.ascii "off\0"
	.skip 3
	.ascii "+\0"
	.skip 5
	.ascii "-\0"
	.skip 5
	.ascii "mkdir\0"
	.skip 1
	.ascii "clear\0"
	.skip 1
	.ascii "dir\0"
	.skip 3
	.ascii "help\0"
	.skip 2
	.ascii "ren\0"
	.skip 3
	.ascii "cp\0"
	.skip 4
	.ascii "del\0"
	.skip 3
	.ascii "cd\0"
	.skip 4
	.ascii "cd..\0"
	.skip 2
	.ascii "rm\0"
	.skip 4
	.ascii "batt\0"
	.skip 2
	.ascii "mv\0"
	.skip 4
	.ascii "echo\0"
	.skip 2
	.ascii "run\0"
	.skip 3
	.ascii "\0"
	.skip 6
	.skip 7
.LC5:
	.ascii "\0"
	.skip 74
	.ascii "\0"
	.skip 74
	.ascii "\0"
	.skip 74
	.ascii "\0"
	.skip 74
	.ascii "\0"
	.skip 74
.LC6:
	.ascii "main\0"
	.skip 4
.LC7:
	.ascii "Lin4Ti, une version Linux pour TI\12\12\0"
.LC8:
	.ascii "Build 0.40 par Bastien JANSEN\12bastien.jansen@wanadoo.fr\12\12\0"
.LC9:
	.ascii "Bienvenue!\0"
.LC11:
	.ascii "\0"
.LC12:
	.ascii "ls\0"
.LC14:
	.ascii "\12\0"
.LC15:
	.ascii "\12\12\0"
.LC17:
	.ascii "\12Dossier %s cr\351\351\12\0"
.LC16:
	.ascii "\12Le dossier %s existe d\351j\340\12\0"
.LC18:
	.ascii "/\0"
.LC19:
	.ascii "\12Contenu du r\351pertoire %s\0"
.LC20:
	.ascii "\12%s\0"
.LC22:
	.ascii "\12\12Total de fichiers : %i\12\0"
.LC21:
	.ascii "\12Appuyez sur une touche...\0"
.LC23:
	.ascii "\12Commandes disponibles : \12clear, dir, exit, help, mv, mkdir, cd, +, -, rm, cp, off, batt, del, echo, ren, run\12\0"
.LC25:
	.ascii "\12Erreur de renommage du fichier %s\12\0"
.LC24:
	.ascii "\12Le fichier a bien \351t\351 renomm\351\12\0"
.LC26:
	.ascii "%s\\%s\0"
.LC27:
	.ascii "\12Effacer le fichier %s ? (o/n)\12\0"
.LC28:
	.ascii "\12cd : nom de r\351pertoire invalide\0"
.LC35:
	.ascii "\12Usage : rm <file> <dir>\12\0"
.LC32:
	.ascii "\12Effacer le fichier %s?\12\0"
.LC34:
	.ascii "Erreur de suppression\12\0"
.LC33:
	.ascii "Fichier \351ffac\351\12\0"
.LC29:
	.ascii "\12Effacer le dossier %s et son contenu?\12\0"
.LC31:
	.ascii "Erreur de suppression du dossier %s\12\0"
.LC30:
	.ascii "Dossier effac\351\12\0"
.LC45:
	.ascii "\12 Niveau de charge : %f %c\12\0"
.LC47:
	.ascii "Erreur de d\351placement\12\0"
.LC46:
	.ascii "\12Fichier d\351plac\351\12\0"
.LC48:
	.ascii "\12%s\12\0"
.LC50:
	.ascii "lin4ti\0"
.LC52:
	.ascii "()\0"
.LC53:
	.ascii "\12[pingoui@ti.%s]\0"
.LC51:
	.ascii "\12Lin4Ti fonctionne deja\12\0"
.LC49:
	.ascii "\12Argument manquant\12\0"
.LC54:
	.ascii "\12Commande invalide\12\0"
.LC13:
	.ascii "dir\0"
.LC10:
	.ascii "[pingoui@ti.%s]\0"
.LC55:
	.ascii "Bonne journ\351e avec Lin4Ti !\0"
	.even
.LC36:
	.word	16386
	.long	268435456
	.long	0
	.even
.LC37:
	.word	16384
	.long	0
	.long	0
	.even
.LC38:
	.word	16385
	.long	338690048
	.long	0
	.even
.LC39:
	.word	16385
	.long	677380096
	.long	0
	.even
.LC40:
	.word	16385
	.long	1116733440
	.long	0
	.even
.LC41:
	.word	16385
	.long	1460666368
	.long	0
	.even
.LC42:
	.word	16385
	.long	1900019712
	.long	0
	.even
.LC43:
	.word	16385
	.long	-2056257536
	.long	0
	.even
.LC44:
	.word	16386
	.long	268435456
	.long	0
	.even
	.globl	_main
_main:
#APP
	move.l %sp,__save__sp__
	/* Support for OPTIMIZE_ROM_CALLS */
	move.l 0xC8,%a5
#NO_APP
	link.w %a6,#-4532
	movm.l #0x1f38,-(%sp)
	move.l %sp,-4530(%a6)
#$00828	);  BOOL exit_from_prog
	pea 3840.w
	pea 19456.w
	move.l #-3840,%d0
	add.l %a6,%d0
	move.l %d0,-(%sp)
	move.l 2472(%a5),%a0
	jbsr (%a0)
#$00840	=FALSE; // true if a program was started within Lin4Ti  short font
	clr.w %d7
#$00842	=F_4x6;  // all available commands; if command isn't here, Lin4Ti will display "Commande incorrecte"  // IMPORTANT !!! if you add a command, do not forget to increase the max value of i after the do...while loop!!!  char availableCmds[20][7]
	clr.w %d6
#$00844	={"exit", "off", "+", "-", "mkdir", "clear", "dir", "help",\   "ren", "cp", "del", "cd", "cd..", "rm", "batt", "mv", "echo", "run", ""};  char argsList[5][75]
	move.w #140,-(%sp)
	lea (-3980,%a6),%a0
	move.l %a0,-(%sp)
	pea .LC4
	lea bcopy,%a2
	jbsr (%a2)
	lea (10,%sp),%sp
#$0085E	={"", "", "", "", ""};
	move.w #375,-(%sp)
	pea -4356(%a6)
	pea .LC5
	jbsr (%a2)
	lea (10,%sp),%sp
#$00870	clrscr();
	jbsr clrscr
#$00876	ST_batt(2);
	move.w #2,-(%sp)
	move.l 900(%a5),%a0
	jbsr (%a0)
#$00880	FontSetSys(font);    char dir[9]
	clr.w -(%sp)
	move.l 1596(%a5),%a0
	jbsr (%a0)
#$00888	="main";
	move.w #5,-(%sp)
	pea -4366(%a6)
	pea .LC6
	jbsr (%a2)
	lea (10,%sp),%sp
	move.w #4,-(%sp)
	pea -4361(%a6)
	jbsr bzero
#$008A8	printf("Lin4Ti, une version Linux pour TI\n\n");
	addq.w #2,%sp
	move.l #.LC7,(%sp)
	lea printf,%a2
	jbsr (%a2)
#$008B8	printf("Build 0.40 par Bastien JANSEN\nbastien.jansen@wanadoo.fr\n\n");
	pea .LC8
	jbsr (%a2)
#$008BE	ST_showHelp("Bienvenue!");  int max
	pea .LC9
	move.l 920(%a5),%a0
	jbsr (%a0)
#$008C8	;    debut:  max=75;  char args[max]
	lea (28,%sp),%sp
.L49:
#$008CC	; ...
	lea (-76,%sp),%sp
	move.l %sp,%d3
#$008D2	args[0] = 0;
	clr.b (%sp)
#$008D4	if(exit_from_prog)
	tst.w %d7
	jbeq .L50
#$008DA	exit_from_prog=FALSE;    else{  printf("[pingoui@ti.%s]",dir);  SaveScrState (&ss);    }
	clr.w %d7
.L51:
#$008DC	if(inputStr(ss, args, max)==KEY_ESC)goto end;
	move.w #75,-(%sp)
	move.l %d3,-(%sp)
	lea (-18,%sp),%sp
	move.l %sp,%d0
	move.l %a6,%d5
	add.l #-4384,%d5
	move.w #18,-(%sp)
	move.l %d0,-(%sp)
	move.l %d5,-(%sp)
	jbsr bcopy
	lea (10,%sp),%sp
	jbsr inputStr
	lea (24,%sp),%sp
	cmp.w #264,%d0
	jbeq .L53
#$00912	getArgs(args, argsList);  char cmd[8];
	lea (-4356,%a6),%a4
	move.l %a4,-(%sp)
	move.l %d3,-(%sp)
	jbsr getArgs
#$0091E	strcpy(cmd, &argsList[0][0]);  char arg[]
	move.l %a4,-(%sp)
	move.l %a6,%d4
	add.l #-4392,%d4
	move.l %d4,-(%sp)
	move.l 2480(%a5),%a0
	jbsr (%a0)
#$00930	="";  ////////////////Aliases///////////////////
	move.b .LC11,-4525(%a6)
#$00936	if(!strcmp(cmd, "ls"))strcpy(cmd, "dir");  ///////////////////////////////////////////////  int pos
	pea .LC12
	move.l %d4,-(%sp)
	move.l 2500(%a5),%a0
	jbsr (%a0)
	lea (24,%sp),%sp
	tst.w %d0
	jbeq .L149
.L54:
#$0094C	=-1;
	moveq.l #-1,%d3
#$0094E	while(pos<19 && strcmp(cmd,&availableCmds[++pos][0]));  SYM_ENTRY *SymPtr;  short batt;  char file[18];  char file_dest[18];  switch (pos
.L55:
	cmp.w #18,%d3
	jbgt .L56
	addq.w #1,%d3
	move.w %d3,%d0
	muls.w #7,%d0
	lea (-3980,%a6),%a0
	pea (%a0,%d0.l)
	move.l %d4,-(%sp)
	move.l 2500(%a5),%a0
	jbsr (%a0)
	addq.l #8,%sp
	tst.w %d0
	jbne .L55
.L56:
#$00972	)  {  //exit  case 0:  goto end;  //off  case 1:
	cmp.w #19,%d3
	jbhi .L53
	clr.l %d0
	move.w %d3,%d0
	add.l %d0,%d0
	.set .LI137,.+2
	move.w .L137-.LI137.b(%pc,%d0.l),%d0
	jmp %pc@(2,%d0:w)
	.even
	.even
.L137:
	.word .L53-.L137
	.word .L61-.L137
	.word .L62-.L137
	.word .L66-.L137
	.word .L70-.L137
	.word .L73-.L137
	.word .L74-.L137
	.word .L87-.L137
	.word .L88-.L137
	.word .L91-.L137
	.word .L92-.L137
	.word .L95-.L137
	.word .L99-.L137
	.word .L100-.L137
	.word .L113-.L137
	.word .L125-.L137
	.word .L128-.L137
	.word .L129-.L137
	.word .L134-.L137
	.word .L135-.L137
	.even
.L61:
#$009B0	off();  printf("\n");  goto debut;  //+  case 2:  if(font==F_4x6)font=F_6x8;  else if(font==F_6x8)font=F_8x10;  FontSetSys(font);  printf("\n");  goto debut;  //-  case 3:  if(font==F_8x10)font=F_6x8;  else if(font==F_6x8)font=F_4x6;  FontSetSys(font);  printf("\n\n");  goto debut;  //mkdir  case 4:  if(FOLDER_TABLE==FolderFind(SYMSTR(&argsList[1][1]))){  printf("\nLe dossier %s existe dj\n",&argsList[1][1]);  } else{  FolderAdd(SYMSTR(&argsList[1][1]));  printf("\nDossier %s cr\n",&argsList[1][1]);  }  goto debut;  //clear  case 5:  clrscr();  goto debut;  //dir  case 6:  if(!strcmp(dir,"/"))  SymPtr=SymFindFirst(NULL, 0); // only displays the folders  else  SymPtr = SymFindFirst(SYMSTR (dir), FO_SINGLE_FOLDER); //only displays files from current dir  int ligne=0;  int nbtot=0;  int nligmax;  if(font==F_4x6)nligmax=12;  else if(font==F_6x8)nligmax=8;  else nligmax=6;  printf("\nContenu du rpertoire %s",dir);  while(SymPtr){  if (ligne<=nligmax)printf("\n%s", SymPtr);  else {  printf("\nAppuyez sur une touche...");  ngetchx();  ligne=-1;  clrscr();  printf("\n%s",SymPtr);  }    SymPtr = SymFindNext ();    nbtot++;  ligne++;  }  printf("\n\nTotal de fichiers : %i\n",nbtot);  goto debut;  //help  case 7:  printf("\nCommandes disponibles : \nclear, dir, exit, help, mv, mkdir, cd, +, -, rm, cp, off, batt, del, echo, ren, run\n");  goto debut;  //ren  case 8:  if(SymMove(SYMSTR(&argsList[1][1]), SYMSTR(&argsList[2][1])))printf("\nLe fichier a bien t renomm\n");  else printf("\nErreur de renommage du fichier %s\n",&argsList[1][1]);  goto debut;  //cp  case 9:  sprintf(file,"%s\\%s", dir, &argsList[1][1]);  sprintf(file_dest,"%s\\%s", &argsList[2][1], &argsList[1][1]);  cmd_copyvar(SYMSTR(file), SYMSTR(file_dest));  goto debut;  //del  case 10:  printf("\nEffacer le fichier %s ? (o/n)\n", &argsList[1][1]);  short a;  char filenam[18];  sprintf(filenam, "%s\\%s", dir, &argsList[1][1]);  if((a=ngetchx())=='o' || (a=='O')) SymDel(SYMSTR(filenam));  goto debut;  //cd  case 11:  if ((FOLDER_TABLE==FolderFind(SYMSTR(&argsList[1][1]))) || \  (MAIN_FOLDER==FolderFind(SYMSTR(&argsList[1][1]))))strncpy(dir, &argsList[1][1], 8);  else printf("\ncd : nom de rpertoire invalide");  printf("\n");  goto debut;  //cd..  case 12:  strcpy(dir, "/");  printf("\n");  goto debut;  //rm  case 13:  if(strcmp(&argsList[1][1], "") && strcmp(&argsList[2][1], "")){  char filename[18];  short a;  if(!strcmp(dir, "/")){// to delete a folder  printf("\nEffacer le dossier %s et son contenu?\n", &argsList[1][1]);  if((a=ngetchx())=='o' || a=='O'){  if(FolderDel(SYMSTR(arg))!=0)printf("Dossier effac\n");  else printf("Erreur de suppression du dossier %s\n", &argsList[1][1]);  }  }else{// to delete a file  sprintf(filename, "%s\\%s", &argsList[2][1], &argsList[1][1]);  printf("\nEffacer le fichier %s?\n", filename);  if ((a=ngetchx())==111 || (a==79)){  if (SymDel(SYMSTR(filename))!=0) printf("Fichier ffac\n");  else printf("Erreur de suppression\n");  }  }  }else printf("\nUsage : rm <file> <dir>\n");  goto debut;  //batt  case 14:  batt=BatteryState(1);  float charge=100;  switch(batt){  case 0:charge=0; break;  case 1:charge=14.3; break;  case 2:charge=28.6; break;  case 3:charge=42.9; break;  case 4:charge=57.1; break;  case 5:charge=71.4; break;  case 6:charge=85.7; break;  case 7:charge=100; break;  }  printf("\n Niveau de charge : %f %c\n",charge, 37);  goto debut;  //mv  case 15:  file[0]='\0';  sprintf(file,"%s\\%s", dir, &argsList[1][1]);  sprintf(file_dest,"%s\\%s", &argsList[2][1], &argsList[1][1]);  if(SymMove(SYMSTR(file), SYMSTR(file_dest))) printf("\nFichier dplac\n");  else printf("Erreur de dplacement\n");  goto debut;  //echo  case 16:  printf("\n%s\n", &argsList[1][1]);  goto debut;  //run  case 17:  if(!strcmp(&argsList[1][1], "")){  printf("\nArgument manquant\n");  goto debut;  }  if(!strcmp(&argsList[1][1], "lin4ti")){  printf("\nLin4Ti fonctionne deja\n");  goto debut;  }  strcpy(file, &argsList[1][1]);  strcat(file, "()");  push_parse_text(file);  HANDLE h=HS_popEStack();  exit_from_prog=TRUE;  printf("\n[pingoui@ti.%s]",dir);  SaveScrState (&ss);  TRY      NG_execute (h, FALSE);   FINALLY      HeapFree (h);    ENDFINAL  FontSetSys(font); // can be modified by another prog to F_6x8, we reset it like it was before  goto debut;  //only <RETURN>  case 18:
	move.l 2664(%a5),%a0
	jbsr (%a0)
.L134:
#$009B6	printf("\n"); goto debut;  //bad command  case 19:  printf("\nCommande invalide\n");
	pea .LC14
.L140:
	jbsr printf
.L141:
#$009C0	goto ...
	addq.l #4,%sp
	jbra .L49
	.even
.L62:
#$009C6	if(font==F_4x6)
	tst.w %d6
	jbne .L63
#$009CA	font=F_6x8;  else if(font==F_6x8)font=F_8x10;
	moveq.l #1,%d6
.L64:
#$009CC	FontSetSys(font);
	move.w %d6,-(%sp)
	move.l 1596(%a5),%a0
	jbsr (%a0)
#$009D4	printf("\n");  goto debut;  //-  case 3:  if(font==F_8x10)font=F_6x8;  else if(font==F_6x8)font=F_4x6;  FontSetSys(font);  printf("\n\n");  goto debut;  //mkdir  case 4:  if(FOLDER_TABLE==FolderFind(SYMSTR(&argsList[1][1]))){  printf("\nLe dossier %s existe dj\n",&argsList[1][1]);  } else{  FolderAdd(SYMSTR(&argsList[1][1]));  printf("\nDossier %s cr\n",&argsList[1][1]);  }  goto debut;  //clear  case 5:  clrscr();  goto debut;  //dir  case 6:  if(!strcmp(dir,"/"))  SymPtr=SymFindFirst(NULL, 0); // only displays the folders  else  SymPtr = SymFindFirst(SYMSTR (dir), FO_SINGLE_FOLDER); //only displays files from current dir  int ligne=0;  int nbtot=0;  int nligmax;  if(font==F_4x6)nligmax=12;  else if(font==F_6x8)nligmax=8;  else nligmax=6;  printf("\nContenu du rpertoire %s",dir);  while(SymPtr){  if (ligne<=nligmax)printf("\n%s", SymPtr);  else {  printf("\nAppuyez sur une touche...");  ngetchx();  ligne=-1;  clrscr();  printf("\n%s",SymPtr);  }    SymPtr = SymFindNext ();    nbtot++;  ligne++;  }  printf("\n\nTotal de fichiers : %i\n",nbtot);
	pea .LC14
.L146:
	jbsr printf
.L144:
#$009DE	goto ...
	addq.l #6,%sp
	jbra .L49
	.even
.L63:
#$009E4	if(font==F_6x8)
	cmp.w #1,%d6
	jbne .L64
#$009EA	font=F_8x10;  FontSetSys(font);  printf("\n");  goto debut;  //-  case 3:
	moveq.l #2,%d6
	jbra .L64
	.even
.L66:
#$009EE	if(font==F_8x10)font=F_6x8;  else
	cmp.w #2,%d6
	jbeq .L150
#$009F4	if(font==F_6x8)font=F_4x6;
	cmp.w #1,%d6
	sne %d0
	ext.w %d0
	and.w %d0,%d6
.L68:
#$009FE	FontSetSys(font);
	move.w %d6,-(%sp)
	move.l 1596(%a5),%a0
	jbsr (%a0)
#$00A06	printf ...
	pea .LC15
	jbra .L146
#$00A0C	font ...
	.even
.L150:
	moveq.l #1,%d6
	jbra .L68
	.even
.L70:
#$00A10	))){  printf("\nLe dossier %s existe dj\n",&argsList[1][1]);  } else{  FolderAdd(SYMSTR(&argsList[1][1]
	lea (76,%a4),%a3
	move.l %a3,-(%sp)
	move.l 2552(%a5),%a0
	jbsr (%a0)
	addq.l #4,%sp
	move.l %d0,%d3
	move.w %d0,%d1
	addq.w #2,%d1
	clr.l %d0
	move.w %d1,%d0
	addq.l #1,%d0
	and.l #131070,%d0
	sub.l %d0,%sp
	move.l %sp,%a2
	clr.b (%sp)
	subq.w #1,%d1
	move.w %d1,-(%sp)
	clr.w -(%sp)
	move.l %a3,-(%sp)
	pea 1(%a2)
	move.l 2472(%a5),%a0
	jbsr (%a0)
	lea (12,%sp),%sp
	and.l #0xFFFF,%d3
	pea 1(%a2,%d3.l)
	move.l 412(%a5),%a0
	jbsr (%a0)
	addq.l #4,%sp
	cmp.w #3,%d0
	jbeq .L151
#$00A64	));
	move.l %a3,-(%sp)
	move.l 2552(%a5),%a0
	jbsr (%a0)
	addq.l #4,%sp
	move.l %d0,%d3
	move.w %d0,%d1
	addq.w #2,%d1
	clr.l %d0
	move.w %d1,%d0
	addq.l #1,%d0
	and.l #131070,%d0
	sub.l %d0,%sp
	move.l %sp,%a2
	clr.b (%sp)
	subq.w #1,%d1
	move.w %d1,-(%sp)
	clr.w -(%sp)
	move.l %a3,-(%sp)
	pea 1(%a2)
	move.l 2472(%a5),%a0
	jbsr (%a0)
	lea (12,%sp),%sp
	and.l #0xFFFF,%d3
	pea 1(%a2,%d3.l)
	move.l 400(%a5),%a0
	jbsr (%a0)
#$00AAC	printf("\nDossier %s cr\n",&argsList[1][1]);  }  goto debut;  //clear  case 5:  clrscr();  goto debut;  //dir  case 6:  if(!strcmp(dir,"/"))  SymPtr=SymFindFirst(NULL, 0); // only displays the folders  else  SymPtr = SymFindFirst(SYMSTR (dir), FO_SINGLE_FOLDER); //only displays files from current dir  int ligne=0;  int nbtot=0;  int nligmax;  if(font==F_4x6)nligmax=12;  else if(font==F_6x8)nligmax=8;  else nligmax=6;  printf("\nContenu du rpertoire %s",dir);  while(SymPtr){  if (ligne<=nligmax)printf("\n%s", SymPtr);  else {  printf("\nAppuyez sur une touche...");  ngetchx();  ligne=-1;  clrscr();  printf("\n%s",SymPtr);  }    SymPtr = SymFindNext ();    nbtot++;  ligne++;  }  printf("\n\nTotal de fichiers : %i\n",nbtot);  goto debut;  //help  case 7:  printf("\nCommandes disponibles : \nclear, dir, exit, help, mv, mkdir, cd, +, -, rm, cp, off, batt, del, echo, ren, run\n");  goto debut;  //ren  case 8:  if(SymMove(SYMSTR(&argsList[1][1]), SYMSTR(&argsList[2][1])))printf("\nLe fichier a bien t renomm\n");  else printf("\nErreur de renommage du fichier %s\n",&argsList[1][1]);  goto debut;  //cp  case 9:  sprintf(file,"%s\\%s", dir, &argsList[1][1]);  sprintf(file_dest,"%s\\%s", &argsList[2][1], &argsList[1][1]);  cmd_copyvar(SYMSTR(file), SYMSTR(file_dest));  goto debut;  //del  case 10:  printf("\nEffacer le fichier %s ? (o/n)\n", &argsList[1][1]);  short a;  char filenam[18];  sprintf(filenam, "%s\\%s", dir, &argsList[1][1]);  if((a=ngetchx())=='o' || (a=='O')) SymDel(SYMSTR(filenam));  goto debut;  //cd  case 11:  if ((FOLDER_TABLE==FolderFind(SYMSTR(&argsList[1][1]))) || \  (MAIN_FOLDER==FolderFind(SYMSTR(&argsList[1][1]))))strncpy(dir, &argsList[1][1], 8);  else printf("\ncd : nom de rpertoire invalide");  printf("\n");  goto debut;  //cd..  case 12:  strcpy(dir, "/");  printf("\n");
	move.l %a3,-(%sp)
	pea .LC17
	jbsr printf
.L143:
#$00AB8	goto ...
	lea (12,%sp),%sp
	jbra .L49
#$00AC0	printf ...
	.even
.L151:
	move.l %a3,-(%sp)
	pea .LC16
.L147:
	jbsr printf
.L142:
#$00ACC	goto ...
	addq.l #8,%sp
	jbra .L49
	.even
.L73:
#$00AD2	clrscr();
	jbsr clrscr
#$00AD8	goto debut;  //dir  case 6:
	jbra .L49
	.even
.L74:
#$00ADC	if(!strcmp(dir,"/"))
	pea .LC18
	lea (-4366,%a6),%a4
	move.l %a4,-(%sp)
	move.l 2500(%a5),%a0
	jbsr (%a0)
	addq.l #8,%sp
	tst.w %d0
	jbne .L75
#$00AF4	SymPtr=SymFindFirst(NULL, 0); // only displays the folders  else  SymPtr = SymFindFirst(SYMSTR (dir), FO_SINGLE_FOLDER); //only displays files from current dir  int ligne
	clr.w -(%sp)
	clr.l -(%sp)
.L145:
	move.l 432(%a5),%a0
	jbsr (%a0)
	move.l %a0,%d3
	addq.l #6,%sp
#$00B02	=0;  int nbtot
	clr.w %d4
#$00B04	=0;  int nligmax;
	sub.l %a3,%a3
#$00B06	if(font==F_4x6)nligmax=12;  else
	moveq.l #12,%d5
	tst.w %d6
	jbeq .L78
#$00B0C	if(font==F_6x8)nligmax=8;  else
	moveq.l #8,%d5
	cmp.w #1,%d6
	jbeq .L78
#$00B14	nligmax=6;
	moveq.l #6,%d5
.L78:
#$00B16	printf("\nContenu du rpertoire %s",dir);
	move.l %a4,-(%sp)
	pea .LC19
	jbsr printf
#$00B22	while(SymPtr){
	addq.l #8,%sp
	tst.l %d3
	jbeq .L139
.L86:
#$00B28	if (ligne<=nligmax)
	cmp.w %d4,%d5
	jblt .L84
#$00B2C	printf("\n%s", SymPtr);  else {  printf("\nAppuyez sur une touche...");  ngetchx();  ligne=-1;  clrscr();  printf("\n%s",SymPtr);  }
	move.l %d3,-(%sp)
	pea .LC20
	jbsr printf
	addq.l #8,%sp
.L85:
#$00B3A	SymPtr = SymFindNext ();
	move.l 436(%a5),%a0
	jbsr (%a0)
	move.l %a0,%d3
#$00B42	nbtot++;
	addq.w #1,%a3
#$00B44	ligne++;  }
	addq.w #1,%d4
	cmp.w #0,%a0
	jbne .L86
.L139:
#$00B4C	printf ...
	move.w %a3,-(%sp)
	pea .LC22
	jbsr printf
	jbra .L144
	.even
.L84:
#$00B5C	printf("\nAppuyez sur une touche...");
	pea .LC21
	lea printf,%a2
	jbsr (%a2)
#$00B68	ngetchx();
	move.l 324(%a5),%a0
	jbsr (%a0)
#$00B6E	ligne=-1;
	moveq.l #-1,%d4
#$00B70	clrscr();
	jbsr clrscr
#$00B76	printf ...
	move.l %d3,-(%sp)
	pea .LC20
	jbsr (%a2)
	lea (12,%sp),%sp
	jbra .L85
	.even
.L75:
#$00B84	) ...
	move.l %a4,-(%sp)
	move.l 2552(%a5),%a0
	jbsr (%a0)
	addq.l #4,%sp
	move.l %d0,%d3
	move.w %d0,%d1
	addq.w #2,%d1
	clr.l %d0
	move.w %d1,%d0
	addq.l #1,%d0
	and.l #131070,%d0
	sub.l %d0,%sp
	move.l %sp,%a2
	clr.b (%sp)
	subq.w #1,%d1
	move.w %d1,-(%sp)
	clr.w -(%sp)
	move.l %a4,-(%sp)
	pea 1(%a2)
	move.l 2472(%a5),%a0
	jbsr (%a0)
	lea (12,%sp),%sp
	and.l #0xFFFF,%d3
	move.w #1,-(%sp)
	pea 1(%a2,%d3.l)
	jbra .L145
	.even
.L87:
#$00BCE	printf("\nCommandes disponibles : \nclear, dir, exit, help, mv, mkdir, cd, +, -, rm, cp, off, batt, del, echo, ren, run\n");
	pea .LC23
#$00BD2	goto debut;  //ren  case 8:
	jbra .L140
	.even
.L88:
#$00BD6	if(SymMove(SYMSTR(&argsList[1][1]), SYMSTR(&argsList[2][1]
#$00BD6	) ...
	lea (151,%a4),%a3
	move.l %a3,-(%sp)
	move.l 2552(%a5),%a0
	jbsr (%a0)
	addq.l #4,%sp
	move.l %d0,%d3
	move.w %d0,%d1
	addq.w #2,%d1
	clr.l %d0
	move.w %d1,%d0
	addq.l #1,%d0
	and.l #131070,%d0
	sub.l %d0,%sp
	move.l %sp,%a2
	clr.b (%sp)
	subq.w #1,%d1
	move.w %d1,-(%sp)
	clr.w -(%sp)
	move.l %a3,-(%sp)
	pea 1(%a2)
	move.l 2472(%a5),%a0
	jbsr (%a0)
	lea (12,%sp),%sp
	and.l #0xFFFF,%d3
	lea 1(%a2,%d3.l),%a2
#$00C1C	) ...
	lea (76,%a4),%a4
	move.l %a4,-(%sp)
	move.l 2552(%a5),%a0
	jbsr (%a0)
	addq.l #4,%sp
	move.l %d0,%d3
	move.w %d0,%d1
	addq.w #2,%d1
	clr.l %d0
	move.w %d1,%d0
	addq.l #1,%d0
	and.l #131070,%d0
	sub.l %d0,%sp
	move.l %sp,%a3
	clr.b (%sp)
	subq.w #1,%d1
	move.w %d1,-(%sp)
	clr.w -(%sp)
	move.l %a4,-(%sp)
	pea 1(%a3)
	move.l 2472(%a5),%a0
	jbsr (%a0)
	lea (12,%sp),%sp
	and.l #0xFFFF,%d3
	move.l %a2,-(%sp)
	pea 1(%a3,%d3.l)
	move.l 396(%a5),%a0
	jbsr (%a0)
	addq.l #8,%sp
	tst.w %d0
	jbne .L152
#$00C70	printf("\nErreur de renommage du fichier %s\n",&argsList[1][1]);
	move.l %a4,-(%sp)
	pea .LC25
#$00C76	goto ...
	jbra .L147
#$00C7A	printf ...
	.even
.L152:
	pea .LC24
	jbra .L140
	.even
.L91:
#$00C82	sprintf(file,"%s\\%s", dir, &argsList[1][1]);
	lea (76,%a4),%a2
	move.l %a2,-(%sp)
	pea -4366(%a6)
	pea .LC26
	move.l %a6,%d5
	add.l #-4410,%d5
	move.l %d5,-(%sp)
	move.l 332(%a5),%a0
	jbsr (%a0)
#$00CA0	sprintf(file_dest,"%s\\%s", &argsList[2][1], &argsList[1][1]);
	move.l %a2,-(%sp)
	pea 151(%a4)
	pea .LC26
	move.l %a6,%d4
	add.l #-4428,%d4
	move.l %d4,-(%sp)
	move.l 332(%a5),%a0
	jbsr (%a0)
#$00CBA	cmd_copyvar(SYMSTR(file), SYMSTR(file_dest
#$00CBA	) ...
	lea (28,%sp),%sp
	move.l %d4,(%sp)
	move.l 2552(%a5),%a0
	jbsr (%a0)
	addq.l #4,%sp
	move.l %d0,%d3
	move.w %d0,%d1
	addq.w #2,%d1
	clr.l %d0
	move.w %d1,%d0
	addq.l #1,%d0
	and.l #131070,%d0
	sub.l %d0,%sp
	move.l %sp,%a2
	clr.b (%sp)
	subq.w #1,%d1
	move.w %d1,-(%sp)
	clr.w -(%sp)
	move.l %d4,-(%sp)
	pea 1(%a2)
	move.l 2472(%a5),%a0
	jbsr (%a0)
	lea (12,%sp),%sp
	and.l #0xFFFF,%d3
	lea 1(%a2,%d3.l),%a2
#$00D00	) ...
	move.l %d5,-(%sp)
	move.l 2552(%a5),%a0
	jbsr (%a0)
	addq.l #4,%sp
	move.l %d0,%d3
	move.w %d0,%d1
	addq.w #2,%d1
	clr.l %d0
	move.w %d1,%d0
	addq.l #1,%d0
	and.l #131070,%d0
	sub.l %d0,%sp
	move.l %sp,%a3
	clr.b (%sp)
	subq.w #1,%d1
	move.w %d1,-(%sp)
	clr.w -(%sp)
	move.l %d5,-(%sp)
	pea 1(%a3)
	move.l 2472(%a5),%a0
	jbsr (%a0)
	lea (12,%sp),%sp
	and.l #0xFFFF,%d3
	move.l %a2,-(%sp)
	pea 1(%a3,%d3.l)
	move.l 3276(%a5),%a0
	jbsr (%a0)
#$00D4A	goto debut;  //del  case 10:
	jbra .L142
	.even
.L92:
#$00D4E	printf("\nEffacer le fichier %s ? (o/n)\n", &argsList[1][1]);  short a;  char filenam[18];
	lea (76,%a4),%a2
	move.l %a2,-(%sp)
	pea .LC27
	jbsr printf
#$00D5E	sprintf(filenam, "%s\\%s", dir, &argsList[1][1]);
	move.l %a2,-(%sp)
	pea -4366(%a6)
	pea .LC26
	move.l %a6,%d4
	add.l #-4446,%d4
	move.l %d4,-(%sp)
	move.l 332(%a5),%a0
	jbsr (%a0)
#$00D78	if((a=ngetchx())=='o' || (a=='O')) SymDel(SYMSTR(filenam
	move.l 324(%a5),%a0
	jbsr (%a0)
	lea (24,%sp),%sp
	cmp.w #111,%d0
	jbeq .L94
	cmp.w #79,%d0
	jbne .L49
.L94:
#$00D90	));
	move.l %d4,-(%sp)
	move.l 2552(%a5),%a0
	jbsr (%a0)
	addq.l #4,%sp
	move.l %d0,%d3
	move.w %d0,%d1
	addq.w #2,%d1
	clr.l %d0
	move.w %d1,%d0
	addq.l #1,%d0
	and.l #131070,%d0
	sub.l %d0,%sp
	move.l %sp,%a2
	clr.b (%sp)
	subq.w #1,%d1
	move.w %d1,-(%sp)
	clr.w -(%sp)
	move.l %d4,-(%sp)
	pea 1(%a2)
	move.l 2472(%a5),%a0
	jbsr (%a0)
	lea (12,%sp),%sp
	and.l #0xFFFF,%d3
	pea 1(%a2,%d3.l)
	move.l 376(%a5),%a0
	jbsr (%a0)
#$00DD8	goto debut;  //cd  case 11:  if ((FOLDER_TABLE==FolderFind(SYMSTR(&argsList[1][1]
	jbra .L141
	.even
.L95:
#$00DDC	))) || \  (MAIN_FOLDER==FolderFind(SYMSTR(&argsList[1][1]
	lea (76,%a4),%a3
	move.l %a3,-(%sp)
	move.l 2552(%a5),%a0
	jbsr (%a0)
	addq.l #4,%sp
	move.l %d0,%d3
	move.w %d0,%d1
	addq.w #2,%d1
	clr.l %d0
	move.w %d1,%d0
	addq.l #1,%d0
	and.l #131070,%d0
	sub.l %d0,%sp
	move.l %sp,%a2
	clr.b (%sp)
	subq.w #1,%d1
	move.w %d1,-(%sp)
	clr.w -(%sp)
	move.l %a3,-(%sp)
	pea 1(%a2)
	move.l 2472(%a5),%a0
	jbsr (%a0)
	lea (12,%sp),%sp
	and.l #0xFFFF,%d3
	pea 1(%a2,%d3.l)
	move.l 412(%a5),%a0
	jbsr (%a0)
	addq.l #4,%sp
	cmp.w #3,%d0
	jbeq .L97
#$00E30	))))strncpy(dir, &argsList[1][1], 8);  else
	move.l %a3,-(%sp)
	move.l 2552(%a5),%a0
	jbsr (%a0)
	addq.l #4,%sp
	move.l %d0,%d3
	move.w %d0,%d1
	addq.w #2,%d1
	clr.l %d0
	move.w %d1,%d0
	addq.l #1,%d0
	and.l #131070,%d0
	sub.l %d0,%sp
	move.l %sp,%a2
	clr.b (%sp)
	subq.w #1,%d1
	move.w %d1,-(%sp)
	clr.w -(%sp)
	move.l %a3,-(%sp)
	pea 1(%a2)
	move.l 2472(%a5),%a0
	jbsr (%a0)
	lea (12,%sp),%sp
	and.l #0xFFFF,%d3
	pea 1(%a2,%d3.l)
	move.l 412(%a5),%a0
	jbsr (%a0)
	addq.l #4,%sp
	cmp.w #2,%d0
	jbeq .L97
#$00E80	printf("\ncd : nom de rpertoire invalide");  printf("\n");
	pea .LC28
	jbsr printf
	addq.l #4,%sp
#$00E8C	goto ...
	jbra .L134
	.even
.L97:
#$00E90	strncpy ...
	pea 8.w
	move.l %a3,-(%sp)
	pea -4366(%a6)
	move.l 2484(%a5),%a0
	jbsr (%a0)
	lea (12,%sp),%sp
	jbra .L134
	.even
.L99:
#$00EA8	strcpy(dir, "/");
	pea .LC18
	pea -4366(%a6)
	move.l 2480(%a5),%a0
	jbsr (%a0)
#$00EB6	printf("\n");  goto debut;  //rm  case 13:
	pea .LC14
	jbsr printf
	jbra .L143
	.even
.L100:
#$00EC4	if(strcmp(&argsList[1][1], "") && strcmp(&argsList[2][1], "")){  char filename[18];  short a;  if(!strcmp(dir, "/")){// to delete a folder  printf("\nEffacer le dossier %s et son contenu?\n", &argsList[1][1]);  if((a=ngetchx())=='o' || a=='O'){  if(FolderDel(SYMSTR(arg))!=0)printf("Dossier effac\n");  else printf("Erreur de suppression du dossier %s\n", &argsList[1][1]);  }  }else{// to delete a file  sprintf(filename, "%s\\%s", &argsList[2][1], &argsList[1][1]);  printf("\nEffacer le fichier %s?\n", filename);  if ((a=ngetchx())==111 || (a==79)){  if (SymDel(SYMSTR(filename))!=0) printf("Fichier ffac\n");  else printf("Erreur de suppression\n");  }  }  }else
	pea .LC11
	lea (76,%a4),%a3
	move.l %a3,-(%sp)
	move.l 2500(%a5),%a0
	jbsr (%a0)
	addq.l #8,%sp
	tst.w %d0
	jbeq .L101
	pea .LC11
	lea (151,%a4),%a2
	move.l %a2,-(%sp)
	move.l 2500(%a5),%a0
	jbsr (%a0)
	addq.l #8,%sp
	tst.w %d0
	jbne .L153
.L101:
#$00EF0	printf("\nUsage : rm <file> <dir>\n");
	pea .LC35
#$00EF4	goto ...
	jbra .L140
#$00EF8	if(!strcmp(dir, "/")){// to delete a folder  printf("\nEffacer le dossier %s et son contenu?\n", &argsList[1][1]);  if((a=ngetchx())=='o' || a=='O'){  if(FolderDel(SYMSTR(arg))!=0)printf("Dossier effac\n");  else printf("Erreur de suppression du dossier %s\n", &argsList[1][1]);  }  }else{// to delete a file
	.even
.L153:
	pea .LC18
	pea -4366(%a6)
	move.l 2500(%a5),%a0
	jbsr (%a0)
	addq.l #8,%sp
	tst.w %d0
	jbeq .L154
#$00F0E	sprintf(filename, "%s\\%s", &argsList[2][1], &argsList[1][1]);
	move.l %a3,-(%sp)
	move.l %a2,-(%sp)
	pea .LC26
	move.l %a6,%d4
	add.l #-4464,%d4
	move.l %d4,-(%sp)
	move.l 332(%a5),%a0
	jbsr (%a0)
#$00F26	printf("\nEffacer le fichier %s?\n", filename);
	move.l %d4,-(%sp)
	pea .LC32
	lea printf,%a3
	jbsr (%a3)
#$00F34	if ((a=ngetchx())==111 || (a==79)){  if (SymDel(SYMSTR(filename
	move.l 324(%a5),%a0
	jbsr (%a0)
	lea (24,%sp),%sp
	cmp.w #111,%d0
	jbeq .L109
	cmp.w #79,%d0
	jbne .L49
.L109:
#$00F4C	))!=0) printf("Fichier ffac\n");  else
	move.l %d4,-(%sp)
	move.l 2552(%a5),%a0
	jbsr (%a0)
	addq.l #4,%sp
	move.l %d0,%d3
	move.w %d0,%d1
	addq.w #2,%d1
	clr.l %d0
	move.w %d1,%d0
	addq.l #1,%d0
	and.l #131070,%d0
	sub.l %d0,%sp
	move.l %sp,%a2
	clr.b (%sp)
	subq.w #1,%d1
	move.w %d1,-(%sp)
	clr.w -(%sp)
	move.l %d4,-(%sp)
	pea 1(%a2)
	move.l 2472(%a5),%a0
	jbsr (%a0)
	lea (12,%sp),%sp
	and.l #0xFFFF,%d3
	pea 1(%a2,%d3.l)
	move.l 376(%a5),%a0
	jbsr (%a0)
	addq.l #4,%sp
	tst.w %d0
	jbne .L155
#$00F9A	printf ...
	pea .LC34
.L148:
	jbsr (%a3)
	jbra .L141
#$00FA4	printf ...
	.even
.L155:
	pea .LC33
	jbra .L148
#$00FAA	printf("\nEffacer le dossier %s et son contenu?\n", &argsList[1][1]);
	.even
.L154:
	move.l %a3,-(%sp)
	pea .LC29
	lea printf,%a4
	jbsr (%a4)
#$00FB8	if((a=ngetchx())=='o' || a=='O'){  if(FolderDel(SYMSTR(arg)
	move.l 324(%a5),%a0
	jbsr (%a0)
	addq.l #8,%sp
	cmp.w #111,%d0
	jbeq .L104
	cmp.w #79,%d0
	jbne .L49
.L104:
#$00FCE	)!=0)printf("Dossier effac\n");  else
	pea -4525(%a6)
	move.l 2552(%a5),%a0
	jbsr (%a0)
	addq.l #4,%sp
	move.l %d0,%d3
	move.w %d0,%d1
	addq.w #2,%d1
	clr.l %d0
	move.w %d1,%d0
	addq.l #1,%d0
	and.l #131070,%d0
	sub.l %d0,%sp
	move.l %sp,%a2
	clr.b (%sp)
	subq.w #1,%d1
	move.w %d1,-(%sp)
	clr.w -(%sp)
	pea -4525(%a6)
	pea 1(%a2)
	move.l 2472(%a5),%a0
	jbsr (%a0)
	lea (12,%sp),%sp
	and.l #0xFFFF,%d3
	clr.w -(%sp)
	pea 1(%a2,%d3.l)
	move.l 408(%a5),%a0
	jbsr (%a0)
	addq.l #6,%sp
	tst.w %d0
	jbne .L156
#$01022	printf ...
	move.l %a3,-(%sp)
	pea .LC31
	jbsr (%a4)
	jbra .L142
#$0102E	printf ...
	.even
.L156:
	pea .LC30
	jbsr (%a4)
	jbra .L141
	.even
.L113:
#$01038	batt=BatteryState(1);  float charge
	move.w #1,-(%sp)
	jbsr BatteryState
#$01040	=100;  switch(batt
	move.l .LC36,%d1
	move.l .LC36+4,%d2
	move.w .LC36+8,%d3
#$0104C	){  case 0:
	addq.l #2,%sp
	cmp.w #7,%d0
	jbhi .L114
	and.l #0xFFFF,%d0
	add.l %d0,%d0
	.set .LI123,.+2
	move.w .L123-.LI123.b(%pc,%d0.l),%d0
	jmp %pc@(2,%d0:w)
	.even
	.even
.L123:
	.word .L115-.L123
	.word .L116-.L123
	.word .L117-.L123
	.word .L118-.L123
	.word .L119-.L123
	.word .L120-.L123
	.word .L121-.L123
	.word .L122-.L123
	.even
.L115:
#$01074	charge=0; break;  case 1:charge=14.3; break;  case 2:charge=28.6; break;  case 3:charge=42.9; break;  case 4:charge=57.1; break;  case 5:charge=71.4; break;  case 6:charge=85.7; break;  case 7:charge=100; break;  }
	move.l .LC37,%d1
	move.l .LC37+4,%d2
	move.w .LC37+8,%d3
.L114:
#$01080	printf("\n Niveau de charge : %f %c\n",charge, 37);
	move.w #37,-(%sp)
	move.w %d3,-(%sp)
	move.l %d2,-(%sp)
	move.l %d1,-(%sp)
	pea .LC45
	jbsr printf
#$01094	goto ...
	lea (16,%sp),%sp
	jbra .L49
	.even
.L116:
#$0109C	charge=14.3;
	move.l .LC38,%d1
	move.l .LC38+4,%d2
	move.w .LC38+8,%d3
#$010A8	break;  case 2:
	jbra .L114
	.even
.L117:
#$010AA	charge=28.6;
	move.l .LC39,%d1
	move.l .LC39+4,%d2
	move.w .LC39+8,%d3
#$010B6	break;  case 3:
	jbra .L114
	.even
.L118:
#$010B8	charge=42.9;
	move.l .LC40,%d1
	move.l .LC40+4,%d2
	move.w .LC40+8,%d3
#$010C4	break;  case 4:
	jbra .L114
	.even
.L119:
#$010C6	charge=57.1;
	move.l .LC41,%d1
	move.l .LC41+4,%d2
	move.w .LC41+8,%d3
#$010D2	break;  case 5:
	jbra .L114
	.even
.L120:
#$010D4	charge=71.4;
	move.l .LC42,%d1
	move.l .LC42+4,%d2
	move.w .LC42+8,%d3
#$010E0	break;  case 6:
	jbra .L114
	.even
.L121:
#$010E2	charge=85.7;
	move.l .LC43,%d1
	move.l .LC43+4,%d2
	move.w .LC43+8,%d3
#$010EE	break;  case 7:
	jbra .L114
	.even
.L122:
#$010F0	charge ...
	move.l .LC44,%d1
	move.l .LC44+4,%d2
	move.w .LC44+8,%d3
	jbra .L114
	.even
.L125:
#$010FE	file[0]='\0';
	clr.b -4410(%a6)
#$01102	sprintf(file,"%s\\%s", dir, &argsList[1][1]);
	lea (76,%a4),%a2
	move.l %a2,-(%sp)
	pea -4366(%a6)
	pea .LC26
	move.l %a6,%d5
	add.l #-4410,%d5
	move.l %d5,-(%sp)
	move.l 332(%a5),%a0
	jbsr (%a0)
#$01120	sprintf(file_dest,"%s\\%s", &argsList[2][1], &argsList[1][1]);
	move.l %a2,-(%sp)
	pea 151(%a4)
	pea .LC26
	move.l %a6,%d4
	add.l #-4428,%d4
	move.l %d4,-(%sp)
	move.l 332(%a5),%a0
	jbsr (%a0)
#$0113A	if(SymMove(SYMSTR(file), SYMSTR(file_dest
#$0113A	) ...
	lea (28,%sp),%sp
	move.l %d4,(%sp)
	move.l 2552(%a5),%a0
	jbsr (%a0)
	addq.l #4,%sp
	move.l %d0,%d3
	move.w %d0,%d1
	addq.w #2,%d1
	clr.l %d0
	move.w %d1,%d0
	addq.l #1,%d0
	and.l #131070,%d0
	sub.l %d0,%sp
	move.l %sp,%a2
	clr.b (%sp)
	subq.w #1,%d1
	move.w %d1,-(%sp)
	clr.w -(%sp)
	move.l %d4,-(%sp)
	pea 1(%a2)
	move.l 2472(%a5),%a0
	jbsr (%a0)
	lea (12,%sp),%sp
	and.l #0xFFFF,%d3
	lea 1(%a2,%d3.l),%a2
#$01180	) ...
	move.l %d5,-(%sp)
	move.l 2552(%a5),%a0
	jbsr (%a0)
	addq.l #4,%sp
	move.l %d0,%d3
	move.w %d0,%d1
	addq.w #2,%d1
	clr.l %d0
	move.w %d1,%d0
	addq.l #1,%d0
	and.l #131070,%d0
	sub.l %d0,%sp
	move.l %sp,%a3
	clr.b (%sp)
	subq.w #1,%d1
	move.w %d1,-(%sp)
	clr.w -(%sp)
	move.l %d5,-(%sp)
	pea 1(%a3)
	move.l 2472(%a5),%a0
	jbsr (%a0)
	lea (12,%sp),%sp
	and.l #0xFFFF,%d3
	move.l %a2,-(%sp)
	pea 1(%a3,%d3.l)
	move.l 396(%a5),%a0
	jbsr (%a0)
	addq.l #8,%sp
	tst.w %d0
	jbne .L157
#$011D0	printf("Erreur de dplacement\n");
	pea .LC47
#$011D4	goto ...
	jbra .L140
#$011D8	printf ...
	.even
.L157:
	pea .LC46
	jbra .L140
	.even
.L128:
#$011E0	printf("\n%s\n", &argsList[1][1]);  goto debut;  //run  case 17:
	pea 76(%a4)
	pea .LC48
	jbra .L147
	.even
.L129:
#$011EC	if(!strcmp(&argsList[1][1], "")){  printf("\nArgument manquant\n");  goto debut;  }
	pea .LC11
	lea (76,%a4),%a2
	move.l %a2,-(%sp)
	move.l 2500(%a5),%a0
	jbsr (%a0)
	addq.l #8,%sp
	tst.w %d0
	jbeq .L158
#$01204	if(!strcmp(&argsList[1][1], "lin4ti")){  printf("\nLin4Ti fonctionne deja\n");  goto debut;  }
	pea .LC50
	move.l %a2,-(%sp)
	move.l 2500(%a5),%a0
	jbsr (%a0)
	addq.l #8,%sp
	tst.w %d0
	jbeq .L159
#$01218	strcpy(file, &argsList[1][1]);
	move.l %a2,-(%sp)
	move.l %a6,%d3
	add.l #-4410,%d3
	move.l %d3,-(%sp)
	move.l 2480(%a5),%a0
	jbsr (%a0)
#$0122A	strcat(file, "()");
	pea .LC52
	move.l %d3,-(%sp)
	move.l 2488(%a5),%a0
	jbsr (%a0)
#$01236	push_parse_text(file);  HANDLE h
	move.l %d3,-(%sp)
	move.l 3880(%a5),%a0
	jbsr (%a0)
#$0123E	=HS_popEStack();
	move.l 2320(%a5),%a0
	jbsr (%a0)
	move.w %d0,%d4
#$01246	exit_from_prog=TRUE;
	moveq.l #1,%d7
#$01248	printf("\n[pingoui@ti.%s]",dir);
	pea -4366(%a6)
	pea .LC53
	jbsr printf
#$01256	SaveScrState (&ss);
	move.l %d5,-(%sp)
	move.l 1664(%a5),%a0
	jbsr (%a0)
#$0125E	TRY      NG_execute (h, FALSE);   FINALLY
	lea (32,%sp),%sp
	pea -4524(%a6)
	move.l 1360(%a5),%a0
	jbsr (%a0)
	move.w %d0,%d3
	addq.l #4,%sp
	jbeq .L160
.L132:
#$01272	HeapFree (h);
	move.w %d4,-(%sp)
	move.l 604(%a5),%a0
	jbsr (%a0)
#$0127A	ENDFINAL
	addq.l #2,%sp
	tst.w %d3
	jbne .L161
#$01280	FontSetSys(font); // can be modified by another prog to F_6x8, we reset it like it was before
	move.w %d6,-(%sp)
	move.l 1596(%a5),%a0
	jbsr (%a0)
#$01288	goto ...
	addq.l #2,%sp
	jbra .L49
#$0128E	NG_execute (h, FALSE);
	.even
.L160:
	clr.w -(%sp)
	move.w %d4,-(%sp)
	move.l 2420(%a5),%a0
	jbsr (%a0)
#$01298	FINALLY ...
	move.l 1364(%a5),%a0
	jbsr (%a0)
	addq.l #4,%sp
	jbra .L132
#$012A2	printf("\nLin4Ti fonctionne deja\n");
	.even
.L159:
	pea .LC51
#$012A6	goto ...
	jbra .L140
#$012AA	printf("\nArgument manquant\n");
	.even
.L158:
	pea .LC49
#$012AE	goto ...
	jbra .L140
	.even
.L135:
#$012B2	printf ...
	pea .LC54
	jbra .L140
#$012BA	strcpy ...
	.even
.L149:
	pea .LC13
	move.l %d4,-(%sp)
	move.l 2480(%a5),%a0
	jbsr (%a0)
	addq.l #8,%sp
	jbra .L54
	.even
.L50:
#$012CC	printf("[pingoui@ti.%s]",dir);
	pea -4366(%a6)
	pea .LC10
	jbsr printf
#$012DA	SaveScrState ...
	pea -4384(%a6)
	move.l 1664(%a5),%a0
	jbsr (%a0)
	lea (12,%sp),%sp
	jbra .L51
	.even
.L161:
	move.l 1356(%a5),%a0
	move.w %d3,-(%sp)
	jbsr (%a0)
	.even
.L53:
#$012F4	);
	pea 3840.w
	move.l #-3840,%d0
	add.l %a6,%d0
	move.l %d0,-(%sp)
	pea 19456.w
	move.l 2472(%a5),%a0
	jbsr (%a0)
#$0130C	ST_showHelp("Bonne journe avec Lin4Ti !");
	pea .LC55
	move.l 920(%a5),%a0
	jbsr (%a0)
#$01316	return;
	move.l -4530(%a6),%sp
#$0131A	}
	movm.l -4564(%a6),#0x1cf8
	unlk %a6
	rts
#APP
	BatteryState:
           movem.l  %d1/%a0-%a1,-(%sp)
           tst.w   16(%sp)           | jump for HW1
           beq     _bat_h1_1
           lea     0x70001D,%a0
           move.b  (%a0),%d0
           ori.b   #9,%d0
           move.b  %d0,(%a0)
_bat_h1_1: moveq   #6,%d1
           lea     0x600018,%a1
_bat_loop: bsr.s   _bat_ini         | this initialization lacked in previous versions
           move.w  %d1,%d0
           lsl.w   #7,%d0
           move.w  %d0,(%a1)
           moveq   #0x6e,%d0
_bat_test: btst.b  #2,-0x18(%a1)
           dbeq    %d0,_bat_test
           beq.s   _bat_quit
           dbf     %d1,_bat_loop
_bat_quit: neg.w   %d1
           addq.w  #6,%d1
           tst.w   4(%sp)
           beq.s   _bat_h1_2        | jump for HW1
           and.b   #0xF7,(%a0)
           bsr.s   _bat_ini
           andi.b  #0xF6,(%a0)
_bat_h1_2: move.w  %d1,%d0
           movem.l (%sp)+,%d1/%a0-%a1
           rts
_bat_ini:  move.w  #0x380,(%a1)
           moveq   #52,%d0
_bat_wait: btst.b  #2,-0x18(%a1)
           dbeq    %d0,_bat_wait
           rts
#NO_APP
.comm _nostub,2
